'use strict';if(window.webhelp===undefined)window.webhelp={};window.webhelp.toc=[{"title":"About this Guide","url":"r_abt-config-guide.html","description":"This preface describes the Ultra Cloud Core 5G Policy Control Function, the document conventions, and the customer support details.","children":[{"title":"Conventions Used","url":"r_conventions-used.html","description":"The following tables describe the conventions used throughout this documentation. Notice Type Description Information Note Provides information about important features or instructions. Caution Alert"},{"title":"Contacting Customer Support","url":"r_contacting-customer-support.html","description":"Use the information in this section to contact customer support. Refer to the support area of http://www.cisco.com for up-to-date product documentation or to submit a service request. A valid usernam"}]},{"title":"5G Architecture","url":"g_5g-architecture-wrapper.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history.html","children":[{"title":"Summary Data","url":"r_summary_data.html","description":"Summary Data Applicable Product(s) or FunctionalArea PCF SMF UPF Applicable Platform(s) SMI Feature Default Setting Not Applicable Related Changes in this Release Not Applicable Related Documentation"},{"title":"Revision History","url":"r_revision_history.html","description":"Revision History Revision Details Release First Introduced. Pre-2020.02.0"}]},{"title":"Overview","url":"r_overview_2.html","description":"The Ultra Cloud Core is Cisco\u0027s solution supporting 3GPP\u0027s standards for 5G new radio (NR) standalone (SA) mode. These standards define various network functions (NFs) based on the separation of cont","children":[{"title":"Control Plane Network Functions","url":"r_control_plane_nfs.html","description":"The CP-related NFs that comprise the Ultra Cloud Core are based on a common architecture designed around the following tenants: Cloud-scale \u2014 Fully virtualized for simplicity, speed, and flexibility "},{"title":"User Plane Network Function","url":"r_user_plane_nf.html","description":"The 5G UP NF within the Ultra Cloud Core is the User Plane Function. Unlike the CP-related NFs, the 5G UPF leverages the same Vector Packet Processing (VPP) technology currently in use by the user pl"}]},{"title":"Subscriber Microservices Infrastructure Architecture","url":"r_subscriber_microservices_infrastructure_architecture.html","description":"The Ultra Cloud Core Subscriber Microservices Infrastructure (SMI) is a layered stack of cloud technologies that enable the rapid deployment of, and seamless life-cycle operations for microservices-b"},{"title":"Control Plane Network Function Architecture","url":"r_control_plane_network_function_architecture.html","description":"CP NFs are designed around a three-tiered architecture that take advantage of the stateful/stateless capabilities afforded within cloud native environments. The architectural tiers are as follows: Pr"}]},{"title":"About PCF","url":"g_part1-abt-pcf.html","description":"The Policy Control Function (PCF) is one of the essential network functions that are provided by Cisco. PCF is designed to provide all the PCRF capabilities in the 5G paradigm, the 5G QoS policy and ","children":[{"title":"PCF Overview","url":"g_pcf-overview.html","children":[{"title":"Product Description","url":"r_product-descrip-pcf-ovw.html","description":"The Cisco Policy Control Function (PCF) is one of the control plane network functions (NF) of the 5G core network (5GC). Cisco PCF is an evolution from Cisco Policy and Charging Rules Function (PCRF)","children":[{"title":"Use Cases","url":"g_usecases-overview.html","description":"The policy charging solution can be potentially applied to address various business scenarios. Some of the key application scenarios are described in this section.","children":[{"title":"Base PCF Configuration","url":"r_usecase-base-config.html","description":"PCF base configuration provides a detailed view of the configurations that are required for making PCF operational. This includes setting up the infrastructure to deploy PCF, deploying PCF through SM"},{"title":"Infrastructure","url":"r_usecase-infrastructure.html","description":"With moving to 5G Core, Cisco has built PCF to have a robust and flexible infrastructure. Considering the rapidly evolving industry trends in the area of capacity and bandwidth, the infrastructure is"},{"title":"Interoperability with CHF","url":"r_usecase-chf-integration.html","description":"Complying with the charging architecture published in 3GPP December 2018 release 15. In the 5G Service-based architecture, PCF interoperates with the CHF. For instance, PCF determines the policy deci"},{"title":"Interoperability with NRF","url":"r_usecase-nrf.html","description":"The Network Repository Function (NRF) is one of the key network entities in the 5G Core Network (5GC). It primarily maintains the NF profile of the available NF instances and their supported services"},{"title":"Configuring LDAP for Subscriber Query","url":"r_usecase-ldap-client-server.html","description":"The policy charging solution combines with LDAP to sends and receives trusted information about the modified subscriber or subscriber details through the LDAP interface. PCF has constructed the follo"},{"title":"Parity with 4G","url":"r_4g-parity-use-case.html","description":"4G introduced cutting-edge solutions that redefined the way humans consumed cellular technology. It turned out to be an inherent part of exponential growth and amplified human advancement with AI, Io"},{"title":"VoNR","url":"r_usecase-vonr.html","description":"In the new 5G spectrum, the subscribers are aware of the transitioning infrastructure that offers high-speed, increased capacity, reduced cost, real-time interaction, and other innovative offerings. "}]},{"title":"Deployment Architecture and Interfaces","url":"r_deployarchitecture-interface-pcf-ovw.html","description":"The Cisco PCF is part of the 5G core network functions portfolio with a common mobile core platform architecture. These network functions include Access and Mobility Management Function (AMF), Sessio","children":[{"title":"PCF Architecture","url":"r_pcf-architecture.html","description":"The PCF architecture is built on a multi-layer platform, which enables efficient policy control and management in the 5G Core network. PCF Architecture At a high level, the components in the architec"},{"title":"PCF Deployment Architecture","url":"r_pcf-deployment_2.html","description":"The PCF reduces the deployment complexity by integrating PCRF and PCF in a unified environment. The following figure illustrates the PCF deployment. PCF Deployment The PCRF\u0027s deployment architecture "},{"title":"Supported Interfaces","url":"r_supportedinterfaces-pcf-ovw.html","description":"PCF and other NFs in 5GC use the following: Rx\u2013 Reference point for interworking with AF, PCRF, and PCF N7\u2013 Reference point between PCF and SMF N15\u2013 Reference point between PCF and AMF N28\u2013 Reference"}]}]}]},{"title":"Deploying and Configuring PCF through Ops Center","url":"g_pcf-deploy-configure-pcf-via-ops-center.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Default Setting Enabled \u2013 Always-On Related Documentation Not Applicable Related Changes in this Release Not Ap"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"The PCF deployment and configuration process involve deploying PCF through the SMI Deployer and configuring the settings or customization through the PCF Ops Center. The Ops Center is based on the Co","children":[{"title":"PCF Ops Center","url":"r_policy-ops-center-overview.html","description":"The PCF Ops Center allows you to configure the PCF features such as configuring the license, PCF Engine, REST endpoint, and CDL. You can also configure the NRF components that enable the interworking"},{"title":"Prerequisites","url":"r_prereq.html","description":"Before deploying PCF on the SMI layer, complete the following prerequisites. Ensure that all the virtual network functions (VNFs) are deployed. Run the SMI sync operation for the PCF Ops Center and C"}]},{"title":"Deploying and Accessing PCF","url":"r_config-pcf.html","description":"This section describes how to deploy PCF and access the PCF Ops Center. Deploying PCF involves the following steps: Deploying PCF Accessing the PCF Ops Center","children":[{"title":"Deploying PCF","url":"r_deploying_pcf_2020_05_release.html","description":"The Subscriber Microservices Infrastructure (SMI) platform is responsible for deploying and managing the Cloud Native 5G PCF application and other network functions. For information on how to deploy "},{"title":"Accessing the PCF Ops Center","url":"r_access-opscenter.html","description":"This section describes how to access the PCF Ops Center. You can access the PCF Ops Center from the console application or the Web-based CLI console. Depending upon your selection, access one of the "}]}]},{"title":"Smart Licensing","url":"g_pcf-smart-licensing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-sumary-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9.html","description":"Summary Data Applicable Products or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled - Configuration required Related Changes in this Release Not Applicable Related "},{"title":"Revision History","url":"r_revision-history.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Smart Software Licensing","url":"r_smart-licensing-overview.html","description":"Smart Licensing is a cloud-based approach to licensing that simplifies the purchase, deployment, and management of Cisco software assets. Entitlements are purchased through your Cisco account via Cis","children":[{"title":"Cisco Software Central","url":"r_cisco-smart-software-manager.html","description":"Cisco Software Central (CSC) enables the management of software licenses and Smart Account from a single portal. The interface allows you to activate your product, manage entitlements, and renew and "},{"title":"Smart Accounts/Virtual Accounts","url":"r_smart-virtual-accounts.html","description":"A Smart Account provides a single location for all Smart-enabled products and entitlements. It helps speed procurement, deployment, and maintenance of Cisco Software. When creating a Smart Account, y"},{"title":"Request a Cisco Smart Account","url":"r_request-smart.html","description":"A Cisco Smart Account is an account where all products enabled for Smart Licensing are deposited. A Cisco Smart Account allows you to manage and activate your licenses to devices, monitor license use"},{"title":"PCF Smart Licensing","url":"r_pcf-smart-licensing.html","description":"At present, the Smart Licensing feature supports application entitlement for online and offline licensing for all Cisco 5G applications (PCF and SMF). The application usage is unrestricted during all"},{"title":"Software Tags and Entitlement Tags","url":"r_software-entitlement-tags.html","description":"Tags for the following software and entitlements have been created to identify, report, and enforce licenses. Software Tags Software tags uniquely identify each licensable software product or product"}]},{"title":"Configuring Smart Licensing","url":"r_configuring-smart-licensing.html","description":"You can configure Smart Licensing after a new PCF deployment.","children":[{"title":"Users with Access to CSC","url":"r_end-users-with-access-cssm-account.html","description":"This section describes the procedure involved in configuring Smart Licensing for users with access to CSC portal from their internal environment. Setting Up the Product and Entitlement in CSC Before "},{"title":"Users without Access to CSC","url":"r_end-users-without-access-cssm-account.html","description":"The Smart License Reservation feature \u2013 Perpetual Reservation \u2013 is reserved for customers without access to CSC from their internal environments. With this feature, Cisco allows customers to reserve "}]},{"title":"Smart Licensing OA&M Support","url":"r_monitoring-and-troubleshooting.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Monitoring and Troubleshooting Smart Licensing","url":"r_monitoring-troubleshooting.html","description":"You can use the following show commands to display information about Smart Licensing in the PCF Ops Center. show licesne [all | UDI | displaylevel | reservation | smart | status | summary | tech-supp"}]}]},{"title":"PCF Rolling Software Update","url":"g_pcf-rolling-software-update.html","children":[{"title":"Introduction","url":"r_introduction.html","description":"The Cisco PCF has a three-tier architecture which consists of Protocol, Service, and Session tiers. Each tier includes a set of microservices (pods) for a specific functionality. Within these tiers, "},{"title":"Updating PCF","url":"r_updating-pcf.html","description":"The following section describes the procedure involved in updating the PCF software: Rolling Software Update Using SMI Cluster Manager","children":[{"title":"Rolling Software Update Using SMI Cluster Manager","url":"r_rolling-software-update.html","description":"The PCF software update or in-service update procedure utilizes the K8s rolling strategy to update the pod images. In K8s rolling update strategy, the pods of a StatefulSet are updates sequentially t","children":[{"title":"Prerequisites","url":"r_prerequisites.html","description":"The prerequisites for upgrading PCF are: All the nodes \u2013 including all the pods in the node \u2013 are up and running. A patch version of the PCF software. Currently, major versions do not support the rol","children":[{"title":"PCF Health Check","url":"r_pcf-health-check.html","description":"You need to perform a health check to ensure that all the services are running and nodes are in ready state. To perform a health check: Log in to master node and use the following configuration: kube"},{"title":"Preparing for Upgrade","url":"r_preparing-the-upgrade.html","description":"This section describes the procedure involved creating a backup configuration, logs, and deployment files. To back up the files: Log in to the SMI Cluster Manager Node as an ubuntu user. Create a new"},{"title":"Back Up SVN, Policy, and CRD Data","url":"r_back-up-svn-policy-crd.html","description":"This section describes the procedure involved in creating a backup of SVN, Policy, and CRD data. To perform a backup of SVN and Policy files: Log in to the master node as an ubuntu user. Use the foll"},{"title":"Back Up Ops Center Configuration","url":"r_back-up-ops-center-config.html","description":"This section describes the procedure involved in creating a backup of the Ops Center configurations. To perform a backup of the Ops Center configurations: Log in to SMI Cluster Manager node as an ubu"},{"title":"Back Up CEE and PCF Ops Center Configuration","url":"r_backup-pcf-cee-config.html","description":"This section describes the procedure involved in creating a backup of CEE and Ops Center configuration from the master node. To perform a backup of CEE and Ops Center configuration: Log in to the mas"}]},{"title":"Upgrading the PCF","url":"r_upgrading-the-pcf.html","description":"This section describes the procedures involved in upgrading PCF.","children":[{"title":"Staging a New PCF Image","url":"r_staging-new-pcf-image.html","description":"This section describes the procedure involved in staging a new PCF image before initiating the upgrade. To stage the new PCF image: Download and verify the new PCF image. Log in to the SMI Cluster Ma"},{"title":"Triggering the Rolling Software Upgrade","url":"r_triggering-the-rolling-software-upgrade.html","description":"The PCF utilizes the SMI Cluster Manager to perform a rolling software update. To update PCF using SMI Cluster Manager, use the following configurations: Before you begin, ensure that PCF is up and r"},{"title":"Monitoring the Upgrade","url":"r_monitoring-the-upgrade.html","description":"You can monitor the status of the upgrade through SMI Cluster Manager Ops Center. To monitor the upgrade status, use the following configurations: config clusters cluster_name actions sync run debug "}]},{"title":"Validating the Upgrade","url":"r_validating-the-pcf.html","description":"This section describes the procedures involved in validating the upgrade process.","children":[{"title":"Viewing the Pod Details","url":"r_viewing-pod-details-pcf.html","description":"You can view the details of the current pods through CEE Ops Center. To view the pod details, use the following command (in CEE Ops Center CLI): cluster pods instance_name pod_name detail cluster pod"},{"title":"Verifying the Helm Status","url":"r_verify-helm-status.html","description":"This section describes the procedure involved in verifying the helm status. You need to determine whether the deployed helm chart is listed in the helm list successfully. To determine the helm status"},{"title":"Verifying the Pods","url":"r_verifying-pod-states.html","description":"This section describes the procedure involved in determining the pod and container status after upgrading PCF. You need to ensure that the pods and containers are up and running. Use the following co"}]},{"title":"Rollback the Upgrade","url":"r_rollback-the-upgrade.html","description":"You can rollback the upgrade if you encounter any issues during the upgrade process. This section describes the procedure involved rolling back the upgrade.","children":[{"title":"Reloading PCF Ops Center Configuration","url":"r_reloading-pcf-ops-center-config.html","description":"This section describes the procedure involved in reloading the PCF Ops Center configuration from the backup file. To reload the PCF Ops Center configuration: Log in to the SMI console as an ubuntu us"},{"title":"Updating PCF Ops Center Configuration","url":"r_updating-pcf-ops-confif-after-restoring.html","description":"This section describes the procedure involved in updating the PCF Ops Center configuration after restoring it. To update the PCF Ops Center configuration: Log in to the master node as an ubuntu user."},{"title":"Restoring the Configuration from Back Up","url":"r_restoring-config-from-backup.html","description":"This section describes the procedure involved in restoring all the Policy Builder and CRD configuration files from the backup. Restoring Policy Builder Configuration Log in to the master node as an u"}]}]}]}]},{"title":"3GPP Specification Compliance for PCF Interfaces","url":"g_3gpp-compliance.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revison-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Summary Data Applicable Products or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Not Applicable Related Changes in this Release Not Applicable Related Documentation Not A"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"The PCF is compliant with the December 2018 and June 2019 compliance version of 3GPP specification for the PCF interfaces such as N7, N25, N28, and Nnrf. The PCF processes the messages from these int","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2.html","description":"The PCF is one of the control plane network functions (NFs) of the 5G core network. The PCF uses different interfaces to communicate with the other NFs or nodes, for example, the N7 interface exists "}]},{"title":"Configuring Interfaces and Endpoints","url":"r_configuring-interfaces.html","description":"This section describes how to configure the interfaces/endpoints that interact with PCF. For configuring the N7, N15, N25, and N28, see Configuring REST Endpoints. For configuring the LDAP endpoint, "}]},{"title":"Cisco Common Data Layer","url":"g_gr-cdl.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Relate"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10.html","description":"The PCF extends support to the Geographic Redundancy (GR) version of the Cisco Common Data Layer (CDL). When the primary CDL endpoint fails, PCF attempts the same operation on the next highly rated s","children":[{"title":"Limitations","url":"r_limitations_2_3_4.html","description":"In the current release, this feature has the following limitations: The PCF attempts to reroute the calls only when it encounters gRPC errors such as UNAVAILABLE. It does not acknowledge errors that "}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"When you configure the CDL in PCF through the PCF Ops Center, PCF gets enabled to support multiple CDL datastore endpoints. You can configure the endpoints by specifying the IP addresses, port number","children":[{"title":"Architecture","url":"r_architecture_2_3.html","description":"You can configure CDL through PCF Ops Center. CDL in the GR mode replicates the session data across the configured sites. When PCF connects to the CDL, it always treats the local CDL endpoints as the"},{"title":"Call Flows","url":"r_call-flows_2_3_4_5.html","description":"This section describes the following call flow. CDL Endpoint Failure Call Flow","children":[{"title":"CDL Endpoint Failure Call Flow","url":"r_cdl-endpoint-failure-call-flow.html","description":"This section describes the PCF local data store endpoint failure call flow. CDL Endpoint Failure Call Flow CDL Endpoint Failure Call Flow DescriptionStepDescription 1 In the Site 1 environment, the S"},{"title":"GR Call Flows","url":"r_gr-scenarios.html","description":"This section describes the possible CDL GR mode scenarios that could initiate a failover to another site. This section describes the following call flows. Indexing Shard Failure Slot Replica Set Fail","children":[{"title":"Indexing Shard Failure","url":"r_indexing-shard-failure.html","description":"This section describes how the failover happens when two index replicas that belong to the same shard are down or unavailable. The indexing shard failure is an example of two points-of-failure scenar"},{"title":"Slot Replica Set Failure","url":"r_slot-failure.html","description":"This section describes how the failover happens when two slot replicas that belong to the same replica set are down or unavailable. The slot failure is an example of two points-of-failure scenario wh"}]}]}]},{"title":"Configuring CDL through PCF Ops Center","url":"r_config-cdl-through-pcf-ops.html","description":"This section describes how to configure the CDL endpoints. Configuring the CDL using PCF Ops Center involves the following steps: Configuring the CDL Session Database and Defining the Base Configurat","children":[{"title":"Configuring the CDL Session Database and Defining the Base Configuration","url":"r_config-cdl-session-db.html","description":"This section describes how to configure the CDL session database and define the base configuration in PCF. To configure the CDL session database and define the base configuration in CDL, use the foll"},{"title":"Configuring Kafka in CDL","url":"r_config-kafka.html","description":"This section describes how to configure Kafka in CDL. To configure the Kafka in CDL, use the following configuration: Open the Policy Ops Center console and navigate to the datastore CLI. To configur"},{"title":"Configuring Zookeeper in CDL","url":"r_confg-zookeeper.html","description":"This section describes how to configure Zookeeper in CDL. To configure Zookeeper in CDL, use the following configuration: Open the Policy Ops Center console and navigate to the datastore CLI. To conf","children":[{"title":"Sample Configuration","url":"r_sample-configuration.html","description":"The following is a sample configuration of CDL in the HA environment. cdl system-id system_i cdl enable-geo-replication true cdl zookeeper replica num_zk_replica cdl datastore session endpoint replic"}]}]},{"title":"Configuring the CDL Endpoints","url":"r_config-cdl-ep.html","description":"This section describes how to configure the CDL endpoints. Configuring the CDL endpoints involves the following steps: Configuring the External Services Associating the Datastore with the CDL Endpoin","children":[{"title":"Configuring the External Services","url":"r_confg-external-service.html","description":"This section describes how to configure the external services in PCF. CDL gets deployed in the GR environment as part of the SMI deployment procedure. By default, the CDL endpoints are available in t"},{"title":"Associating the Datastore with the CDL Endpoint Service","url":"r_associate-datastore.html","description":"This section describes how to configure the external service for each CDL endpoint service that you plan to use. To configure the external service for each CDL endpoint service, use the following con"}]}]},{"title":"Content Filtering","url":"g_content-filtering.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4.html","description":"Summary Data Applicable Products or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related "},{"title":"Revision History","url":"r_revision-history_2_3_4_5.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"PCF offers fine-grained control over the content that SMF processes. The filtering policy provides methodical control over the content during the PCF and SMF interaction by identifying and limiting t"},{"title":"Configuration Support for Content Filtering","url":"r_steps-config-filtering.html","description":"This section describes how to configure the filtering policy using the following service: CiscoContentFilteringPolicy","children":[{"title":"CiscoContentFilteringPolicy","url":"r_ciscocontentfilteringpolicy.html","description":"This section describes the parameters for the CiscoContentFilteringPolicy configuration. Before configuring the CiscoContentFilteringPolicy service, ensure that you have created the use case template"}]}]},{"title":"Diameter Endpoint","url":"g_diameter-ep.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"Summary DataApplicable Products or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-OnRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Applic"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.Pre 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description.html","description":"You can enable the Diameter endpoint to dynamically create pods on a designated node or host. This feature might be a requirement when you want to ensure that the nodes are meeting specific security "},{"title":"Configuring the Node for the Diameter Endpoint Pod","url":"r_config-diam-pod.html","description":"This section describes how to specify the node or host where the Diameter endpoint must spawn the pod. To specify the node where you want Diameter endpoint to spawn the pod, use the following configu","children":[{"title":"Sample Configuration","url":"r_sample-configuration_2.html","description":"The following is a sample configuration of the node configuration. mode server stack cicdsite application rx bind-ip 192.0.2.18 realm cisco.com node-host for-node-2a-worker39e1587354h exit"}]}]},{"title":"Dummy N7 Notify Request","url":"g_n7-notify-rat.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Summary DataApplicable Products or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Documenta"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9.html","description":"PCF is equipped to retrieve the event triggers from the SMF by sending the N7 Notify Request. Certain features such as Rx bearer authorization, QoS derivation, and rule evaluation rely on specific ev"},{"title":"How it Works","url":"r_how-it-works_2.html","description":"In the Dummy N7 Notify Request feature, the PCF interactions happen in the following sequence: The SMF sends an N7 Create Request to PCF. The PCF responds to this request with the configured event tr"},{"title":"Configuration Support for the Dummy N7 Notify Request","url":"r_creating-dummy-notify-request.html","description":"This section describes how to configure the dummy Notify Request through which PCF retrieves the triggers for the AAR messages with Media-Type. The configuration of the proxy N7 Notify Request involv","children":[{"title":"Creating the STG for the N7 Notify Request","url":"r_creating-stg.html","description":"This section describes how to create the STG N7 Notify request which is referred by the CRD. Log in to Policy Builder. Click the Reference Data tab, and from the left pane click Custom Reference Data"},{"title":"Configuring the Dummy N7 Notify Parameters","url":"r_config-crd.html","description":"This section describes how to configure the dummy N7 Notify event trigger parameters through the PCF Central. Log in to PCF Central. Select the Custom Reference Data. In the Custom Reference Data Tab"},{"title":"Configuring the Event Triggers","url":"r_configu-crd-table.html","description":"This section describes how to subscribe to the N7 event triggers through the dummy N7 Notify request. Log in to Policy Builder. Click the Reference Data tab. In the left pane, click Diameter Defaults"}]}]},{"title":"Dynamic Rules and Table-Driven Charging Rules","url":"g_dynamic-rules-tabledriven-charging.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6.html","description":"Summary DataApplicable Product(s) or Functional Area5G PCFApplicable Platform(s)CN-CEEFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Docum"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Revision History Revision Details Release First Introduced. Pre 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"PCF supports the provisioning of the following dynamic and table-driven charging rules. Table-driven dynamic PCC rules in PCF N7 session retrievers: SUPI GPSI DNN PLMN ID N7 Access Type N7 Cell Globa","children":[{"title":"Standards Compliance","url":"r_standards-compliance.html","description":"The Dynamic Rules and Table-driven Charging Rules feature complies with the following standards: 3GPP TS 29.512 V15.1.0 (2018-09) 3GPP TS 29.571 V15.1.0 (2018-09)"},{"title":"Restrictions","url":"r_restrictions.html","description":"The values configured for the maxbrUl, maxbrDl, gbrUl, and gbrDL attributes under QosData and TableDrivenQosDecision service configuration objects as well as any other attribute configured in Policy "}]},{"title":"Configuration Support for Dynamic and Table-Driven Charging Rules","url":"r_feature-configuration.html","description":"This section describes how to configure the dynamic and table-driven charging rules using the following services: TableDrivenDynamicPccRule TableDrivenQosDecision Service Configuration Object","children":[{"title":"TableDrivenQosDecision","url":"r_tabledrivenqosdecision-service-configuration-object.html","description":"The TableDrivenQosDecision service configuration object provides a way for the different refQosData values that are encountered while adding the PCC rules to be expanded to actual QosData objects. Th"},{"title":"TableDrivenDynamicPccRule","url":"r_tabledrivendynamicpccrule-service-configuration-object.html","description":"This section describes the parameters for the TableDrivenDynamicPccRule configuration. TableDrivenDynamicPccRule service configuration object provides a mapping between the PCC rule attributes and th"}]}]},{"title":"Flexible QoS Actions","url":"g_pcf-flexible-qos-actions.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summarydata.html","description":"Summary DataApplicable Products or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Documentat"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"PCF supports the Flexible QoS Actions feature on the N7 interface. During policy management on the N7 interface, PCF sends session rules that are based on the configured QoS to the SMF. The following"},{"title":"Configuring QoS Actions on N7 Interface","url":"r_configuring-qos-actions-on-n7-pcf-smf-interface.html","description":"This section describes how to configure the QoS Actions on the N7 interface using the following service. OverrideSessionRule","children":[{"title":"OverrideSessionRule","url":"r_overrideqos.html","description":"This section describes the parameters for the OverrideSessionRule configurations. The OverrideSessionRule service configuration is used to override the N7 default bearer QoS APN AMBR UL/DL values. PC"}]}]},{"title":"Heartbeat","url":"g_nf-heartbeat-with-nrf.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"PCF registers with NRF and sends a heartbeat message to the same NRF to infer its status as active or inactive. Complying with 3GPP TS 29.510, PCF performs the following tasks when sending a heartbea","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5.html","description":"The NF Heartbeat feature complies with the following standards: 3GPP TS 29.510 (2018-12)"}]}]},{"title":"LDAP and Sh Interface","url":"g_pcf-support-ldap-sh.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11.html","description":"Summary Data Applicable Product(s) or FunctionalArea 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"PCF supports the LDAP and Sh versions of the N36 reference point to and from the simulated UDR to access subscriber profile information and to write dynamic session data as required for session proce","children":[{"title":"Call Flows","url":"r_sh-interface.html","description":"This section includes the following call flows. Sh Interface Call Flow","children":[{"title":"Sh Interface Call Flow","url":"r_sh-interface-call-flow.html","description":"This section describes the call flow for the Sh interface. Sh Interface Call Flow Sh Interface Call Flow Description Step Description 1 The User Equipment (UE) sends a PDU Session Establishment reque"}]}]},{"title":"Configuring PCF to use LDAP","url":"r_config-ldap-interface.html","description":"This section describes how to configure PCF to leverage the LDAP interface. The configuration support for LDAP involves the following steps: Setting Up Additional Profile Data Associating PCF with LD","children":[{"title":"Setting Up Additional Profile Data","url":"r_setting-ldap-profile.html","description":"This section describes how to set up the profile data. PCF establishes a connection with an LDAP server to access the subscriber profile data that resides on an external database. Upon receiving the "},{"title":"Associating PCF with LDAP","url":"r_associate-ldap.html","description":"This section describes how to associate PCF with LDAP. When you configure PCF environment to interact with a defined LDAP, PCF must connect to the LDAP server using a trusted authentication method. T"}]}]},{"title":"Multiple Virtual IP Address","url":"g_vip-multiple.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration required Related Changes in this Release Not Applicable Relate"},{"title":"Revision History","url":"r_revision.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description-topic.html","description":"You can now enable the IPv4 communication between PCF and the other network functions such as SMF, NRF, CHF, and UDR through multiple virtual IP addresses (VIP). With a provision to configure discret","children":[{"title":"Limitations","url":"r_limitations-topic.html","description":"In the current release, this feature has the following limitation: PCF supports the configuration of multiple IPs only for IP version 4 (IPv4)."}]},{"title":"How it Works","url":"r_how-works.html","description":"After the admin associates an IP address to a network function such as PCF, a new endpoint is linked to the network function through the rest-ep service. This service enables you to connect to the pc","children":[{"title":"Architecture","url":"r_architecture-description.html","description":"This section describes how the network function components interact when the multiple VIP model is implemented. The multiple VIP architecture focuses on high availability and load-balancing aspect of"}]},{"title":"Configuration Support for Multiple Virtual IP Address","url":"r_config-multiple-vip.html","description":"The configuration of the multiple virtual IP address involves the following steps: Configuring REST Endpoints Verifying the REST Endpoints Configuration","children":[{"title":"Configuring REST Endpoints","url":"r_configuring-external-ips.html","description":"This section describes how to configure the IP address, port numbers, and other attributes for a REST endpoint. Configuration changes to REST EP cause the endpoint to automatically restart. Cisco rec"},{"title":"Verifying the REST Endpoints Configuration","url":"r_verifying-configuration-of-external-ip.html","description":"This section describes how to verify the REST Endpoints configuration. After an interface IP address is configured, you can observe a new service with the name as <interface-name>-rest-ep. The servic"}]}]},{"title":"Network Repository Function Subscription to Notifications","url":"g_nrf-subscription-notifications-3gpp-december-18.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7.html","description":"PCF supports the following functions for the Network Repository Function (NRF) Subscription to Notifications feature: The NRF supports the 3GPP December 2018 specification for interface discovery, re","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6.html","description":"The NRF subscription to notifications feature complies with the following standards: 3GPP TS 29.510 V15.2.0 (2018-12)"}]},{"title":"Configuration Support for the NRF Subscription to Notifications","url":"r_configuring-subscription.html","description":"The configuration of NRF subscription to notifications involves performing the followings steps: Configuring NRF with Multiple Base URLs Configuring NRF for Registration Configuring NRF for Discovery","children":[{"title":"Configuring NRF with Multiple Base URLs","url":"r_confg-nrf-base.html","description":"This section describes how to configure NRF that has multiple base URLs. To configure NRF with multiple base URLs, use the following configuration: config nf-services nf_services_name repository repo"},{"title":"Configuring NRF for Registration","url":"r_conf-nrfregistration.html","description":"This section describes how to enable NRF for registering the NFs. To configure NRF for registration, use the following configuration: config nf-services nf_services_name registration service-reposito"},{"title":"Configuring NRF for Discovery of Network Function","url":"r_conf-discovery.html","description":"This section describes how to configure NRF to enable discovery of an NF. To configure NRF for discovering an NF, use the following configuration: config nf-services nf_services_name discovery [ nchf"},{"title":"Troubleshooting Information","url":"r_troubleshooting-information_2_3.html","description":"For message routing failures, check the datastore pod health and the logs for any issues. For more information on how to check the pod health and logs, see Troubleshooting Information."}]}]},{"title":"NRF Interface","url":"g_pcf-support-for-nrf-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related Docume"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Revision History Revision Details Release Added new PCF attributes - priority and capacity 2020.02.0 Introduced instructions on how to register an NF profile with NRF. 2020.01.0 First Introduced. Pre"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6.html","description":"The NRF provides a fabric for all the NFs to register their profile and the supported services which facilitate in discovering each other. The registration enables the NFs to discover the other NFs b","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3.html","description":"The NF and NRF interaction complies with the following standards: 3GPP TS 29.510 version 15.0.0 (2018-06) 3GPP TS 29.510 version 15.2.0 (2018-12) 3GPP TS 29.510 CR#124 3GPP TS 29.571 version 15.2.0"}]},{"title":"How it Works","url":"r_how-it-works_2_3.html","description":"At the startup, PCF registers its profile with the NRF endpoint of the highest priority. After the registration is complete, it periodically sends a heartbeat to the NRF along with its profile. When "},{"title":"Configuring the PCF Profile","url":"r_conf-nrf-profile.html","description":"This section describes how to configure the PCF profile with NRF. PCF registration involves associating the PCF profile with the NRF and registering the services such as npcf-am-policy-control and np","children":[{"title":"Defining the PCF Registration Status","url":"r_defining-registration-status.html","description":"This section describes how to configure the PCF\u0027s registration status. The registration status of PCF reflects its capability to transact with NRF and other NFs. The PCF instance that is registered w"}]},{"title":"Configuring the NRF Endpoint for Management Services","url":"r_config-mangmnt-services.html","description":"This section describes the configurations that you must perform to enable the NRF\u0027s management services. Configuring the NRF Endpoint Group Configuring the Management Service","children":[{"title":"Configuring the NRF Endpoint Group","url":"r_conf-nrf-ep-management.html","description":"This section describes how to configure the NRF Groups. To configure the nnrf-nfm service for enabling the management service, use the following configuration in the Policy Ops Center console: config"},{"title":"Configuring the Management Service","url":"r_conf-mgmnt.html","description":"This section describes how to enable the management service for the NRF. To configure the NRF Management service, PCF locality, and associating them to the NRF Endpoint, use the following configurati"}]},{"title":"Configuring the NRF Endpoint for Discovery Service","url":"r_configuring-pcf-for-discovery.html","description":"This section describes the configurations that you must perform to enable NRF\u0027s discovery services. Configuring the NRF Endpoint Group Configuring the Discovery Service Configuring the Local NF Endpo","children":[{"title":"Configuring the NRF Endpoint Group","url":"r_conf-nrf-ep-discovery.html","description":"This section describes how to configure the NRF endpoint groups for the discovery of different NFs using the discovery (nnrf-disc) service. To enable discovery of the NRF groups, use the following co"},{"title":"Configuring the Discovery Service","url":"r_nrf-discovery-service.html","description":"This section describes how to enable the discovery service for the NRF.To configure the NRF Discovery and PCF locality and associating them to the NRF Endpoint, use the following configuration in the"},{"title":"Configuring the Local NF Endpoint","url":"r_conf-local.html","description":"This section describes how to configure the local NF endpoint. The PCF becomes aware of the various NFs in the 5G fabric through the NF discovery service that is exposed by the NRF or through the CLI"}]}]},{"title":"N28 Interface","url":"g_n28-reference-subset-capability.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Appl"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"The N28 interface supports the key charging and quota handling scenarios. N28 Interface PCF performs the following capabilities through the N28 interface: Retrieving or subscribing to policy counter "},{"title":"How it Works","url":"r_how-it-works.html","description":"The Nchf_SpendingLimitControl service enables the NF service consumer to retrieve policy counter status information per UE from the CHF by subscribing to spending limit reporting (that is notificatio","children":[{"title":"Call Flows","url":"r_call-flow_2.html","description":"This section describes the following call flows. Counter Subscription/Retrieval (N28 Session Creation) Unsubscribe Counters (N28 Session Termination) N28 Counter-Based Policy Notification of Counter ","children":[{"title":"Counter Subscription/Retrieval (N28 Session Creation)","url":"r_counter-subscriptionretrieval-n28-session-creation.html","description":"The decision to subscribe to N28 counters is determined based on the presence of the SpendingLimitRequest service configuration. If this service configuration is present in the policy, then the Polic"},{"title":"Unsubscribe Counters (N28 Session Termination)","url":"r_unsubscribe-counters-n28-session-termination.html","description":"On receiving an N7 terminate request, PCF triggers an N28 Nchf_SpendingLimitControl_Unsubscribe request towards CHF for unsubscribing for changes in N28 counter information. N28 Unsubscribe (N7 termi"},{"title":"N28 Counter-Based Policy","url":"r_n28-counter-based-policy.html","description":"Similar to existing Diameter Sy implementation, the counters retrieved from CHF are made available for policy decisions via Virtual Services (VS). A Virtual Service (VS) is created per policy counter","children":[{"title":"N28 Virtual Service Details","url":"r_n28-virtual-service-details.html","description":"The N28 Virtual Service details are as follows: VS Name: Name will be of the format: CounterId-CounterStatus VS AVPs: Following AVPs will be added to the VS: Code: counter-id, Value: the counter ID v"}]},{"title":"Notification of Counter Changes from CHF","url":"r_notification-of-counter-changes-from-chf.html","description":"In case of changes in the subscribed policy counters, the CHF notifies PCF using the Nchf_SpendingLimitControl_Notify operation. The PCF supports this operation through the PCF REST endpoint. On rece"}]}]},{"title":"Configuration Support for the N28 Interface","url":"r_service-configuration_2.html","description":"This section describes how to configure support for the N28 interface using the following services. SpendingLimitSubscription RequestPolicyCounters AvpServiceConfiguration","children":[{"title":"SpendingLimitSubscription","url":"r_spendinglimitsubscription-configuration.html","description":"If SpendingLimitSubscription is configured in a policy, then the N28 session creation or subscription is triggered on session create. Only one instance of this configuration is allowed or else any ra"},{"title":"RequestPolicyCounters","url":"r_requestpolicycounters-configuration.html","description":"This section describes the parameters for the RequestPolicyCounters configuration. Use this configuration to add counters in the subscription list while generating the N28 Subscribe request. Multiple"},{"title":"AvpServiceConfiguration","url":"r_avpserviceconfiguration.html","description":"This section describes the parameters for the AvpServiceConfiguration configuration. Before setting the service parameters, ensure that you create a use case template and add a service for this confi"},{"title":"Troubleshooting","url":"r_troubleshooting.html","description":"Perform the following when the message routing fails: Ensure that the SpendingLimitRequest service configuration is available and enabled in the subscribed service list in Policy Builder. If the CHF "}]},{"title":"Configuring NF or Logical Groups","url":"r_cli-changes-to-pcf-ops-center.html","description":"This section describes how to configure the NF locally or logical groups of the NFs. To configure the NF or logical groups of the NFs, use following configuration in the Policy Ops Center console: co"},{"title":"N28 Interface OA&M Support","url":"r_operation-management-n28.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Statistics","url":"r_statistics.html","description":"This section provides the list of statistics and counters that are generated for the charging and quota handling scenarios. The following metrics track the counter information: async_svc_runnable_tot"}]}]},{"title":"Online Charging Enablement over N7 to SMF","url":"g_online-charging.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","children":[{"title":"Summary Data","url":"r_summary-data.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Documen"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11.html","description":"PCF supports converged online and offline charging. As part of this support, PCF sends the CHF address to the SMF over the N7 interface. This allows the SMF to connect to the specified CHF for conver"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12.html","description":"The ability to send CHF addresses in \u0022ChargingInformation\u0022 in SM policy create response is added to PCF. In the subsequent SM policy updates, the same address is sent to the SMF. Similarly, the abili","children":[{"title":"Charging Information","url":"r_charging-information.html","description":"After the SM create control request is received, the PCF reads the charging information service configuration and adds the charging information in the PCF session (if it is not already added). PCF us"},{"title":"Charging Data","url":"r_charging-data.html","description":"After the SM create control request is received, PCF retrieves the PCC rules using \u0022TableDrivenDynamicPccRule\u0022 or \u0022DynamicPccRule\u0022 service configurations. The PCC retrieves \u0022ChgIds\u0022 (it can either be"},{"title":"Call Flows","url":"r_call-flows_2_3.html","description":"This section describes the following call flows. Online and Offline Charging over N7 to SMF Creating SM Policy Updating SM Policy Updating Notify SM Policy","children":[{"title":"Online and Offline Charging over N7 to SMF","url":"r_online-and-offline-charging-over-n7-to-smf.html","description":"This section describes the call flow of online and offline charging over N7 to SMF. Charging over N7"},{"title":"Creating SM Policy","url":"r_creating-sm-policy.html","description":"This section describes the call flow of creating the SM Policy. Create SM Policy Create SM Policy Call Flow Description Step Description 1 The SMF sends a N7 Create request to the PCF. 2 The PCF send"},{"title":"Updating SM Policy","url":"r_updating-sm-policy.html","description":"This section describes the call flow of updating the SM Policy. Update SM Policy Update SM Policy Call Flow Description Step Description 1 The SMF sends an N7 Update request to the PCF. 2 The PCF sen"},{"title":"Updating Notify SM Policy","url":"r_update-notify-sm-policy.html","description":"This section describes the call flow of update the SM Policy. Update Notify SM Policy Update Notify SM Policy Call Flow Description Step Description 1 The CDL sends a next evaluation timer request to"}]}]},{"title":"Configuration Support for Online Charging","url":"r_configuring-online-charging-enablement-over-n7-to-smf.html","description":"The configuration of online charging enablement over N7 to SMF involves the following steps: ChargingInformation TableDrivenChargingDecision","children":[{"title":"ChargingInformation","url":"r_config-online-charging.html","description":"This section describes how to configure the ChargingInformation service. Log in to Policy Builder and navigate to Services tab > Use Case Templates. Under Actions > Create Child, click Use Case Templ"},{"title":"TableDrivenChargingDecision","url":"r_config-tabledriven.html","description":"This section describes how to configure the TableDrivenChargingDecision service. Log in to Policy Builder and navigate to Custom Reference Data Table, and create a search table group for the charging"}]}]},{"title":"PCF Integration with Access and Mobility Function","url":"g_pcf-n7-n15-spec-compliance.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-AMF Applicable Platform(s) CN-CEE Default Setting Enabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related Docu"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Revision History Revision Details Release Introduced procedure to configure the N15 Access and Mobility Policies. 2020.02.0 First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"PCF integrates with AMF through the Access and Mobility Policy Control Service by transmitting the access control and mobility management-related policies to the AMF. With this integration, PCF, and ","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6_7.html","description":"The PCF-AMF integration complies with the following standards: 3GPP TS 29.510 Release 15.2.0 December 2018 3GPP TS 29.571 [11]"},{"title":"Limitations","url":"r_limitations_2.html","description":"In the current release, this feature has the following limitations: The PCF does not support PRA_CH trigger and related use cases."}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10.html","description":"This section provides a summary of how the PCF and AMF work.","children":[{"title":"Call Flows","url":"r_call-flows_2_3_4_5_6.html","description":"This section describes the following call flows. Create Policy Association Update Policy Association Delete Policy Association Terminate Policy Association Update Notification","children":[{"title":"Create Policy Association","url":"r_call-flows-create-policy-association.html","description":"This section describes the call flow of how to create a mapping of policies by association. Create Policy Association Call Flow Create Policy Association Call Flow Description Step Description 1 The "},{"title":"Update Policy Association","url":"r_call-flows-update-policy-association.html","description":"This section describes the call flow of th policy associations are updated. Update a Policy Association Call Flow Update a Policy Association Call Flow Description Step Description 1 When AMF is relo"},{"title":"Delete Policy Association","url":"r_call-flows-delete-policy-association.html","description":"This section describes the call flow of how to delete the mapping of policies. Delete Policy Association Call Flow Delete Policy Association Call Flow Description Step Description 1 In a situation wh"},{"title":"Terminate Policy Association","url":"r_call-flows-terminate-associations.html","description":"This section describes the call flow of how the policy association is terminated. Terminate Policy Association Call Flow Terminate Policy Association Call Flow Description Step Description 1 When PCF"},{"title":"Update Notification","url":"r_call-flows-update-notifications.html","description":"This section describes the call flow of how the notifications are updated. Update Notification Call Flow Update Notification Call Flow Description Step Description 1 When PCF must change the policy, "}]}]},{"title":"Configuration Support for the N15 Access and Mobility Policies","url":"r_confg-n15policy-.html","description":"This section describes how to configure the N15 access and mobility policies using the following services: Configure the N15 interface using the information documented at Configuring REST Endpoints. ","children":[{"title":"Configuring the N15 Policy Service","url":"r_config-service-area-restriction.html","description":"This section describes the parameters for the N15 policy configuration. The N15 policy service configuration object is used to configure the Service Area Restriction capability. The configuration inv","children":[{"title":"Configuring the N15 Policy Triggers","url":"r_config-n15-trigger.html","description":"This section describes how to configure the N15 policy event triggers. You can configure the event triggers through the Custom Reference Data (CRD) table. The triggers are a group of conditions used "},{"title":"Configuring the N15 Policy Retrievers","url":"r_confg-retrievers.html","description":"This section describes how to configure the retrievers for the N15 policy configuration object. You can add the retrievers through the CRD table or Service Configuration. For information on how to ad"}]}]},{"title":"Configuring the Stale Session Timer","url":"r_confg-timer.html","description":"This section describes how to configure the stale session timer.Stale session builds up due to network issues, timeout, and so on. As a result, PCF starts rejecting new sessions due to capacity or se"}]},{"title":"Persistent Storage for Policy Configuration","url":"g_persistent-config-files.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Summary Data Applicable Products or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configurration Required Related Changes in this Release Not Applicable Related "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Restore Capability The Subversion repository stores the policy-specific configuration data in the XMI format. This repository resides in an SVN pod. If the SVN pod is restarted, the repository experi"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8.html","description":"This section provides a summary of how PCF maintains the persistency of configuration files. The PCF implements the Kubernetes Persistent Volume (PV) framework, which lets the administrators allocate"},{"title":"Configuring the Restore Capability","url":"r_config-restore.html","description":"This section describes how to configure the restore capability. To configure the restore capability that ensures the persistency of policy configuration file, use the following configuration in the P"}]},{"title":"Pods and Services","url":"g_pods-service.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-OnRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Appl"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2.html","description":"The PCF is built on the Kubernetes cluster strategy, which implies that it has adopted the native concepts of containerization, high availability, scalability, modularity, and ease of deployment. To ","children":[{"title":"Pods","url":"r_pods-overview.html","description":"Pod is a process that runs on your Kubernetes cluster. Pod encapsulates a granular unit known as a container. A pod can contain one or multiple containers. Kubernetes deploys one or multiple pods on "},{"title":"Services","url":"r_service-overview.html","description":"The PCF configuration is composed of several microservices that run on a set of discrete pods. Microservices are deployed during the PCF deployment. PCF uses these services to enable communication be"},{"title":"Limitations","url":"r_limitations_pods.html","description":"In the current release, this feature has the following limitation introduced by Kubernetes: When removing a node using the kubectl drain command, the pods managing the inbound traffic such as pcf-res"}]},{"title":"Configuration Support for Pods and Services","url":"r_conf-support.html","description":"This section describes how to associate pods to node and view the pod-related information using the following steps: Associating Pods to the Nodes Viewing the Pod Details and Status","children":[{"title":"Associating Pods to the Nodes","url":"r_associating-pods.html","description":"This section describes how to associate a pod to the node based on their labels. After you have configured a cluster, you can associate pods to the nodes through labels. This association enables the "},{"title":"Viewing the Pod Details and Status","url":"r_viewing-pods.html","description":"This section describes how to view the pod details. If the service requires additional pods, PCF creates and deploys the pods. You can view the list of pods that are participating in your deployment ","children":[{"title":"States","url":"r_pod-status.html","description":"Understanding the pod\u0027s state lets you determine the current health and prevent the potential risks. The following table describes the pod\u0027s states. Pod States State Description Running The pod is he"}]}]}]},{"title":"Policy Tracing and Execution Analyzer","url":"g_policy-tracing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9.html","children":[{"title":"Summary Data","url":"r_summarydata_2.html","description":"Summary DataApplicable Products or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Documentat"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"PCF comes with a set of utilities to actively monitor and trace policy execution. These utilities interact with the core Policy Server and the Mongo database to trigger and store traces for specific "},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6.html","children":[{"title":"Architecture","url":"r_architecture-topic.html","description":"Cisco PCF comes with a trace pod to actively monitor and trace the policy execution. The utilities in this pod interact with the Policy Engine pods and the Mongo database pods to trigger and store tr"}]},{"title":"Configuration Support for the Policy Traces","url":"r_administering-traces.html","description":"This section describes how you configure the policy traces. Configuration support of the policy traces involves the following steps: Setting Up the Trace Database Configuring the Trace Microservice P","children":[{"title":"Setting Up the Trace Database","url":"r_setup-the-traces.html","description":"This section describes how to configure the database and port where you want to store the traces. Log in to Policy Builder. From left pane, select your system and click the appropriate cluster. From "},{"title":"Configuring the Trace Microservice Pod","url":"r_configuring-trace-pod.html","description":"PCF hosts the tracing-specific commands on the trace microservice pod that is available under the /usr/local/bin directory. To determine the trace pod, use the following configuration: config kubectl"},{"title":"Executing the Tracing Scripts","url":"r_executing-tracing-scripts.html","description":"Tracing logs assist you in backtracking the steps that you or the system has performed to accomplish a task. This information is useful when you want to conduct forensics of the unexpected outcomes. ","children":[{"title":"Managing the Trace Rules","url":"r_manage-tracerules.html","description":"The trace_ids.sh script fetches the real-time and historical traces. This script resides in /usr/local/bin/ of the Tracing Pod that you have configured. See Configuring the Trace Microservice Pod for"},{"title":"Managing the Trace Results","url":"r_manage-traceresults.html","description":"The trace.sh script that initiates selective trace process resides in /usr/local/bin/ of the Tracing Pod that you have configured. See Configuring the Trace Microservice Pod for procedure to set up a"}]}]}]},{"title":"Policy Control Request Triggers Over N7","url":"g_pcf-events-over-n7.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Summary DataApplicable Products or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Documentat"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8.html","description":"PCF can subscribe to the policy control request triggers on the SMF. This is done by including triggers in the response to smPolicyControl_Create request. PCF can modify the request triggers that are"},{"title":"Configuring the Policy Control Request Trigger Events over N7","url":"r_config-policycontrol-trigger.html","description":"This section describes how to configure the Policy Control Request Trigger (EventTrigger) service to configure different events that are subscribed in response to smPolicyControl_Create request. Befo"}]},{"title":"Predefined Rules and Rulebase","url":"g_crn-crbn-support.html","children":[{"title":"Feature Summaryand Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Summary DataApplicable Products or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-OnRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Applic"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"During session establishment and modification, the SMF communicates with PCF over the N7 interface. When a user equipment (UE) establishes a packet data unit (PDU) session, the UE requires policies f"},{"title":"Configuration Support for Rule and Rulebase","url":"r_config-crn-and-crbn.html","description":"This section describes how to configure a PCC rule ID for Rule and Rulebase rules. Log in to the Policy Builder application. In the Service Configurations pane, click DynamicPccRule. The dynamic PCC "}]},{"title":"Rx Authorization","url":"g_rx-authorization.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Relate"},{"title":"Revision History","url":"r_revision-history_2_3.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"PCF provides a method for the service providers to regulate the services available to individual subscribers. You can configure the bearer-level regulation through the customization and configuration","children":[{"title":"Components","url":"r_components_2_3_4.html","description":"This section describes the RxAuthorizationSTGConfiguration component in the Rx Authorization process. The RxAuthorizationSTGConfiguration service configuration is used to evaluate the Rx Authorizatio"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"At a high-level, PCF supports the Rx-based authorization of bearers. The Rx authorization requires a Search Table Groups (STG), which enables logical grouping of multiple Customer Reference Data (CRD","children":[{"title":"Architecture","url":"r_architecture_2.html","description":"This section depicts how the network function components interact during an Rx Authorization. The SMF and PCF have a bilateral communication over the N7 interface. The AF sends an AAR request to PCF."},{"title":"Call Flows","url":"r_call-flows_2.html","description":"This section includes the following call flows: All Bearers Are Rejected Call Flow Few Bearers Are Rejected Call Flow Existing Bearers Are Rejected Call Flow","children":[{"title":"All Bearers Are Rejected Call Flow","url":"r_all-bearers-are-rejected-call-flow.html","description":"This section describes the call flow where PCF rejects all the bearers. All Bearers Are Rejected Call Flow All Bearers Are Rejected Call Flow Description Step Description 1 The SMF sends a N7 Create "},{"title":"Few Bearers Are Rejected Call Flow","url":"r_few-bearers-are-rejected-call-flow.html","description":"This section describes the call flow where PCF rejects the few bearers due to the missing Media-Type AVP. Few Bearers Are Rejected Call Flow Few Bearers Are Rejected Call Flow Description Step Descri"},{"title":"Existing Bearers Are Rejected Call Flow","url":"r_existing-bearers-are-rejected-call-flow.html","description":"This section describes the call flow where PCF evaluates the existing bearers if a trigger and rejects the bearers with the missing Media-Type AVP. All Bearers Are Rejected Call Flow All Bearers Are "}]},{"title":"Considerations","url":"r_considerations.html","description":"The following considerations apply when you configure the Rx Authorization: The STG names that are configured in the RxAuthorizationSTGConfiguration should be unique. The AVP names for the output col"},{"title":"Limitations","url":"r_limitations_2_3.html","description":"In the current release, this feature has the following limitations: When an Rx Authorization fails, PCF sends an Rx_RAR request only if the Specific-Action= INDICATION_OF_FAILED_RESOURCES_ALLOCATION "}]},{"title":"Configuration Support for Rx Authorization","url":"r_configuring-rx-authorization.html","description":"This section describes how to configure Rx Authorization. The configuration of the Rx Authorization capability in PCF involves the following steps: Creating the STG Tables Adding the RxAuthorizationS","children":[{"title":"Creating the STG Tables","url":"r_conf-stg.html","description":"This section describes how to create the STG column in Policy Builder. To configure the STG column, use the following configuration: Log in to Policy Builder. Click the Reference Data tab, and from t"},{"title":"Adding the RxAuthorizationSTGConfiguration Service","url":"r_adding-the-rxauthorizationstgconfiguration-service.html","description":"This section describes how to add the RxAuthorizationSTGConfiguration service. To configure the RxAuthorizationSTGConfiguration service, use the following configuration: Log in to Policy Builder. Sel"},{"title":"Configuring the Service Chaining","url":"r_conf-service.html","description":"This section describes how to configure the service chaining for Rx Authorization. Before configuring the service chaining, ensure that you have created the use case templates and added the RxAuthori"},{"title":"Rejecting the AAR with the Missing Media-Type AVP","url":"r_rejecting-aar.html","description":"This section describes how to enable PCF to reject the AAR messages with missing Media-Type AVPs. To configure PCF to reject the AAR messages, use the following configuration: Log in to Policy Builde"},{"title":"Setting Up the Delayed Message Schedule","url":"r_setting-delayed.html","description":"This section describes how to set up the duration after which PCF sends the delayed message to the AF. To configure the delayed message schedule through the Policy Builder, use the following configur"},{"title":"Rx Client","url":"r_rx-client.html","description":"This section describes the parameters, which you can configure for the Rx client. Use the Rx Client, which is a Diameter client object along with the Rx interface. You can add the Rx-specific feature"}]}]},{"title":"Rx Interface for 4G and 5G","url":"g_converged-rx-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Document"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Revision HistoryRevision DetailsRelease Prior to the 2019.03 release, for the \u201C3GPP Diameter Rx support on 5G PCF\u201D feature, the \u201Cdevice-protocol-id configuration\u201D option under Diameter application wa"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"The combined PCF-PCRF deployment architecture provides both PCRF and PCF capabilities. In this deployment, all the incoming Rx Diameter requests are sent to the PCRF or PCF Engine, where session look","children":[{"title":"Relationships","url":"r_relationships_2.html","description":"This feature is an extension of the \u00223GPP Diameter Rx support on 5G PCF\u0022 feature, which was the implementation of N5 interface on PCF."},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"The incoming Rx requests are tagged to RX_5G_TGPP device protocol, if the respective N7 session is available. Else, the requests are tagged to RX_TGPP device protocol. No CLI configuration is require"}]},{"title":"Routing the Rx Diameter Requests","url":"r_service-config-objects.html","description":"This section describes the service configurations that enable routing of the Rx Diameter requests to PCF or PCRF. RxSTGConfiguration","children":[{"title":"RxSTGConfiguration","url":"r_rxstgconfiguration.html","description":"This section describes the parameters that can be configured for RxSTGConfiguration. The RxSTGConfiguration service configuration supports the following output AVPs that allow the dynamic value expre"}]}]},{"title":"Site Isolation","url":"g_site-isolation.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled - Configuration Required Related Changes in this Release Not Applicable Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Site isolation is segmenting your PCF environment to create silos of cluster or a standalone CDL instance in a Geographic Redundancy (GR) deployment. Each silo is self-sufficient with access to dedic"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9.html","description":"A site can be unavailable when it is undergoing maintenance level upgrade or experiencing a network issue. During this period, the site cannot manage the traffic that the client directs towards it. I","children":[{"title":"Prerequisites","url":"r_prerequisites_2_3.html","description":"This section describes the prerequisites that must be met to configure the site isolation feature. Before bringing down a site, ensure that all the in-progress traffic requests are completed."}]},{"title":"Configuring the Site Isolation Feature","url":"r_confg-site-isolation-feature.html","description":"You can configure the site isolation feature from the PCF Ops Center. Configuring the site isolation feature involves the following steps: Configuring the PCF Registration Status Bringing Down the Pr","children":[{"title":"Configuring the PCF Registration Status","url":"r_confg-pcf-registration.html","description":"This section describes how to configure PCF as undiscoverable. To configure the PCF registration status to undiscoverable, use the following configuration from the primary site\u0027s PCF Ops Center: conf"},{"title":"Bringing Down the Primary Site","url":"r_bringing-down-primary-site.html","description":"This section describes how to bring the primary site down. If you want to isolate the site without disrupting the GR replication system, do not bring down the primary site. The secondary site takes o"},{"title":"Determining the Pod Status","url":"r_determig-pod-status.html","description":"This section describes how to verify that only the PCF Ops Center-specific pod is running on the secondary site. To verify if the Ops Center-specific pod is running in the PCF product namespace, use "},{"title":"Bringing Up the Primary Site","url":"r_bringing-up-primary-site.html","description":"This section describes how to bring up the primary site. To bring up the primary site, use the following configuration: config system mode running end NOTES: config\u2013 Enters the configuration mode. sy"},{"title":"Verifying if the Sessions are Synchronized","url":"r_verifying-sessions-synchronized.html","description":"This section describes how to verify if the sessions are synchronized between the sites. The site isolation implementation requires that sessions are synchronized between the primary-secondary-primar"},{"title":"Verifying if the Primary Site is Up","url":"r_verifying-primary-site-up.html","description":"This section describes how to confirm if the primary site is brought up successfully. To verify whether the primary site is up, review the deployment status and percentage usage using the following c"}]}]},{"title":"Service","url":"g_services.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Default Setting Enabled \u2013 Always-On Related Documentation Not Applicable Related Changes in this Release Not Ap"},{"title":"Revision History","url":"r_revision-history_2.html","description":"Revision History Revision Details Release First Introduced 2020.01.0 Due to non-backward compatible changes in PCF operations center configuration model, a direct PCF upgrade is not possible. You mus"}]},{"title":"Feature Description","url":"r_overview.html","description":"A service dictates the capabilities that are assigned to a subscriber (in USuM). An administrator assigns a service to a user through the service configurations. Depending on the service provider\u0027s r","children":[{"title":"Service","url":"r_service.html","description":"A service is effectively a \u0022code\u0022 to label the service and a collection of Service Options which contain the definition of what a service is. Multiple services can be assigned to a single subscriber.","children":[{"title":"Adding a Service","url":"r_add-service.html","description":"Before adding a service, ensure that you have created the corresponding Use Case template for the service that you intend to add. For information on how to create a use case template, see Configuring"}]}]},{"title":"Service Configuration","url":"r_service-configuration.html","description":"PCF uses the low-level configuration objects to drive a feature in the system. You can configure the Service Configuration objects from the Service > Service Option > Use Case Template. Types of serv"},{"title":"Use Case Templates","url":"r_use-case-template.html","description":"Use case templates are the essential elements of the PCF architecture. The values that you define in the templates allow you to design and configure one or more services once and reuse them. Only adv","children":[{"title":"Configuring the Use Case Template","url":"r_config-usecase.html","description":"This section describes how to configure the use case template. Use the following steps to configure the use case template through Policy Builder. Log in to Policy Builder. Select the Services tab, an"}]},{"title":"GenericServiceConfiguration","url":"r_generic-service-configuration.html","description":"This section describes the parameters for the GenericServiceConfiguration service configuration object. GenericServiceConfiguration Parameters Parameters Description Priority Denotes the priority of "},{"title":"Common Parameters","url":"r_common-parameters.html","description":"These parameters are common between many service configuration objects. Common Service Configuration Object Parameters Parameter Description Apn Agg Max Bit Rate DL Defines the total bandwidth usage "}]},{"title":"Session Queries over LDAP","url":"g_forwarding-nap-plf.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required. Related Changes in this Release Not Applicable Relat"},{"title":"Revision History","url":"r_revision-history_2_3_4.html","description":"Revision History Revision Details Release Added procedural information to configure the LDAP Endpoint. 2020.02.0 First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"In the policy-based network, the SPR/LDAP initiates a NAP notification towards PCF to signify a profile change. Upon receiving the notification, the PCF refreshes the subscriber profile by requerying"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"This section provides a summary of how PCF processes the session queries.","children":[{"title":"NAP Notifications","url":"r_nap-notifications.html","description":"When you modify subscriber details, the NAP server, LDAP server, and PCF or PCRF perform the following operations: NAP request termination on the PCRF The LDAP server updates the NAP server with the "},{"title":"LDAP Queries","url":"r_plf-queries.html","description":"The Policy Server manages the 4G and 5G subscriber information in separate modules, which indicates that the PCRF continues to store the 4G-specific information, and PCF preserves the 5G-specific det"},{"title":"Call Flows","url":"r_call-flow.html","description":"This section includes the following call flows. NAP Notification Call Flow LDAP Server Initialization Call Flow","children":[{"title":"NAP Notification Call Flow","url":"r_call-flow-nap.html","description":"This section describes the call flow for the NAP Notification. NAP Notification Call Flow NAP Notification Call Flow Description Step Description 1 The SMF sends an N7 Create request to the PCF reque"},{"title":"LDAP Server Initialization Call Flow","url":"r_call-flow-ldap.html","description":"This section describes the call flow for the LDAP server initialization. LDAP Server Initialization Call Flow LDAP Server Initialization Call Flow Description Step Description 1 The SMF sends an N7 C"}]}]},{"title":"Enabling the Policy Server to Process the NAP and LDAP Queries","url":"r_enabling-the-policy-server-to-forward-the-nap-and-plf-queries-to-pcf-or-pcrf.html","description":"The configuration that enables the Policy Server to forward the NAP and LDAP queries to PCF or PCRF involves the following: Configuring the gRPC Endpoint for PCF Configuring the Forwarding Capability","children":[{"title":"Configuring the gRPC Endpoint for PCF","url":"r_configuring-the-grpc-endpoint-for-pcf.html","description":"This section describes how to configure the gRPC endpoint to route the messages for PCF. To set up the endpoint for gRPC, use the following configuration: config engine engine_group_name grpc externa"},{"title":"Configuring the Forwarding Capability","url":"r_config-forward-capability.html","description":"This section describes how to configure the forwarding capability. For High Availability (HA) or Geographic Redundancy (GR) environments, ensure that the PCF Engine can access the Policy Server VMs. "}]},{"title":"Configuration Support for PCF-NAP Requests","url":"r_conf-support-for-uni.html","description":"This section describes the prerequisites and configurations that are required to support the PCF-NAP communication. This configuration support involves the following: Prerequisites for PCF-NAP Reques","children":[{"title":"Prerequisites for PCF-NAP Requests","url":"r_prereq-nap.html","description":"This section describes the prerequisites that must be met for PCF-NAP communication. For PCF-NAP interaction, make sure that the following configurations are available in your environment: N7 interfa"},{"title":"Configuring the Unified API","url":"r_config-unified-api.html","description":"This section describes how to configure the unified API through the PCF Ops Center. PCF receive NAP requests to requery the LDAP and reevaluate policies after receiving notification about profile cha"},{"title":"Setting a Limit on NAP Requests","url":"r_setting-max-tp.html","description":"This section describes how to set a limit on the number of NAP requests for PCF to process.To configure the maximum number NAP requests TPS per PCF Engine deployment, use the following configuration "}]},{"title":"Configuration Support for LDAP Endpoint","url":"r_enabling-ldap.html","description":"This section describes how to configure the LDAP server endpoint that enables PCF to establish a connection with LDAP. The configuration of the LDAP server endpoint involves the following steps: Conf","children":[{"title":"Configuring the LDAP Endpoint","url":"r_config-ldap-server-ep.html","description":"This section describes how to configure the LDAP server endpoint and the associated filter mappings.Based on the LDAP endpoint configuration, the LDAP endpoint authenticates itself with PCF to retrie"},{"title":"Setting a Limit on LDAP Search Request","url":"r_setting-max-ldap-req.html","description":"This section describes how to set the limit on the number of LDAP search requests for PCF to process. To configure the maximum number LDAP requests TPS per replica, use the following configuration in"}]},{"title":"Session Queries over LDAP OA&M Support","url":"r_operations-management.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Statistics","url":"r_statistics_2_3.html","description":"This section provides the list of statistics and counters that are involved when the Policy Server routes the LDAP queries and NAP notification to PCF or PCRF. PCF: inbound_request_total: Captures th"}]}]},{"title":"Specification Compliance - N7 and N28","url":"g_n7-n28-interface-enhancement.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Relate"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Revision History Revision Details Release With this release, various service configurations are added and enhanced for compliance with the 3GPP December 2018 specification. The procedures to configur"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"PCF complies to the 3GPP December 2018 specification by supporting the N7 and N28 interfaces.","children":[{"title":"Relationships","url":"r_relationships.html","description":"The SMF should comply to 3GPP December 2018 specification so that PCF can apply the dedicated bearer rules to SMF."},{"title":"Components","url":"r_architecture.html","description":"The following components are involved when PCF is configured to work with the N7 and N28 interface. N15 Interface N28 Interface N7 Interface N5 Interface","children":[{"title":"N15 Interface","url":"r_n15_interface.html","description":"The N15 interface complies with 3GPP TS 29.507 Release 15 specification."},{"title":"N28 Interface","url":"r_n28-interface.html","description":"The N28 interface complies with the 3GPP December 2018 specification. Hence, no compliance changes are required on the N28 interface for this feature."},{"title":"N7 Interface","url":"r_n7-interface.html","description":"The pcf-rest-ep and pcf-engine comply with the 3GPP December 2018 specification."},{"title":"N5 Interface","url":"r_n5-rx-interface.html","description":"With the N7 interface being 3GPP December 2018 specification compliant, PCF supports the notification of rule status of the dedicated bearer rules. You can configure this support with the new \u0022ruleRe"}]}]},{"title":"Configuration Support for the N7 and N28 Interface","url":"r_configuring-n7-n28interface-enhancement.html","description":"This section describes how to configure the N7 and N28 interface by configuring the following services: SessionRule SessionRuleAction SessionRuleConditionData QosData TableDrivenQosDecision TableDriv","children":[{"title":"SessionRule","url":"r_config-sessionrule.html","description":"This section describes how to configure SessionRule Service. The SessionRule service configuration consists of policy information elements that are associated with a PDU session. The object configure"},{"title":"SessionRuleAction","url":"r_config-sessionruleaction.html","description":"This section describes how to configure the SessionRuleAction service. The SessionRuleAction service configures the values for the various SessionRuleAction attributes that are based on Policy or the"},{"title":"SessionRuleConditionData","url":"r_config-sessionruleconditiondata.html","description":"This section describes how to configure the SessionRuleConditionData service. The PCF schema lets you set a threshold for an active SessionRules service by configuring the SessionRuleConditionData se"},{"title":"QosData","url":"r_config-qos.html","description":"This section describes how to configure the QosData Service. The QosData Service configuration is updated with the parameters to meet the 3GPP December 2018 specification compliance. Before setting t"},{"title":"TableDrivenQosDecision","url":"r_config-tabledrivenqosdecision.html","description":"This section describes how to configure the TableDrivenQosDecision Service. The TableDrivenQosDecision service configuration captures the data from the custom CRD table for the newly added fields. Th"},{"title":"TableDrivenDynamicPccRule","url":"r_tabledrivendynamicpccrule.html","description":"This section describes how to configure the TableDrivenDynamicPccRule service. The TableDrivenDynamicPccRule service configuration shows one or more PCC rules that are available in the custom referen"},{"title":"Use Case Initiators","url":"r_config--usecase-initiators.html","description":"This section describes how to configure the Use Case Initiators. Use case initiators are a group of conditions that indicate the time, event, or functionality for a specific service to be added for a","children":[{"title":"Conditions of Input Variables","url":"r_conditions-input-variables.html","description":"The table lists the conditions for the input variables. Condition for Input Variable Description A Policy Request Message exists An N7, N15, N28, or UDR Policy Request message exists in the system. A"}]},{"title":"Retrievers","url":"r_configuringretrievers.html","description":"Retrievers are the values that are retrieved for the key columns from the custom reference data table. You can retrieve the value of retrievers in the following ways in Policy Builder. Using the Serv","children":[{"title":"Configuring Retrievers through Custom Reference Data Table","url":"r_config-retrievers-crd.html","description":"This section describes how to configure the retrievers through the custom reference data table. Log in to Policy Builder. From the Custom Reference Data Tables pane, select a rule. The parameters of "},{"title":"Configuring Retrievers through Service Configuration","url":"r_config-retrievers-service.html","description":"This section describes how to configure the retrievers through the service configuration. Log in to Policy Builder. From the Services pane, click the N7/N15 service-compliant configuration. Select a "}]}]}]},{"title":"Status Monitoring Using Commands","url":"g_status-monitoring.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Document"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11.html","description":"Revision HistoryRevision DetailsRelease First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"PCF allows you to view the Diameter peer, LDAP connection, and NRF registration status using the PCF Ops Center. Alternatively, you can access this information from the Grafana dashboard. For informa"},{"title":"Viewing the Connection and Registration Status","url":"r_viewing-status.html","description":"This section describes how to view the Diameter peer, LDAP connection, and NRF registration status. Based on the component that you want to view the status for, use the following configuration: To vi"},{"title":"Viewing the NFs Connected to PCF","url":"r_viewing-nf-connection-status.html","description":"This section describes how to view the NFs that are presently connected to PCF. To view the NFs that are currently connected to PCF, use the following configuration: show rest-endpoint peer-status Th"},{"title":"Viewing the Discovered Endpoint","url":"r_viewing-discovered-ep.html","description":"This section describes how to view the discovered endpoint details such as the NF type, IP address, and the port number of the endpoint. Based on the endpoint that you want to view, use the following"},{"title":"Fetching the Subscriber Sessions","url":"r_fetch-subscriber.html","description":"This section describes how to fetch the subscriber sessions that are configured across regions. Prerequisites for Fetching Subscriber Sessions Viewing the Subscriber Session Details","children":[{"title":"Prerequisites for Fetching Subscriber Sessions","url":"r_prereq-subscriber-session.html","description":"This section describes the prerequisites configuration that you must configure before fetching the subscriber session data across the configured regions. The prerequisite configuration involves the f","children":[{"title":"Configuring the Configuration File","url":"r_configuration-file.html","description":"This section describes how to configure the cluster name, external IP address, and port number of the unified API service in the configuration file. The PCF configuration file determines the applicat","children":[{"title":"Verifying the Contents of the Configuration File","url":"r_verifying-show-config.html","description":"This section describes how to verify the contents of the configuration file. Use the deployment show-config command to view the deployment details. The following is a sample output of the deployment "},{"title":"Deleting the Configuration File","url":"r_deleting-configuration-file.html","description":"This section describes how to delete the configuration file. You can delete a configuration file when you no longer require any of the configured resources and services. To delete the configuration f"}]}]},{"title":"Viewing the Subscriber Session Details","url":"r_viewing-subscriber-session.html","description":"This section describes how to view the subscriber session information about the sessions configured. Before proceeding with the configuration, make sure that you have configured the cluster and exter"}]}]},{"title":"UDR Interface","url":"g_udr-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Document"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Revision History Revision Details Release Introduced changes related to the Nudr_DataRepository service. 2020.02.0 First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"The PCF interfaces with the User Data Repository (UDR) to receive subscriber-related policies for User Equipment (UE) attach and session establishment. When a UE attaches to the network, AMF requires","children":[{"title":"API Details","url":"r_api-details.html","description":"DescriptionAPI URIRequest ParametersResponse ParametersRetrieves the access and mobility policy data for a subscriber.{apiRoot}/nudr-dr/v1/ policy-data/ues/{ueId} /am-dataPath and Query 200 Ok AmPoli"},{"title":"Parameter Details","url":"r_parameter-details.html","description":"PCF supports the following parameters:","children":[{"title":"AMPolicy Query Parameters","url":"r_am-policy-query-parameters.html","description":"AMPolicy Query ParametersParameter NameParameter TypeDescriptionueIdPathSUPI or GPSI"},{"title":"AmPolicyData","url":"r_ampolicydata.html","description":"AmPolicyDataParameter NameParameter TypeDescriptionueIdPathSUPI or GPSI AmPolicyData - List of category identifiers associated with the subscriber."},{"title":"SmPolicy Query Parameters","url":"r_sm-policy-query-parameters.html","description":"SmPolicy Query Parameters Parameter Name Parameter Type Description ueId Path SUPI or GPSI Snssai Query Identifies single network slice selection assistance information. Dnn Query Identifies a Data N"},{"title":"SmPolicyData","url":"r_smpolicydata.html","description":"Before configuring the SmPolicyData parameters, make sure that in the Policy Builder the policy subscriber AVP field has the following keys: allowedServices subscCats smPolicySnssaiData Object Parame"}]},{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6_7_8.html","description":"The UDR Base URL feature complies with the following standards: 3GPP TS 23.501 3GPP TS 23.502 3GPP TS 23.503 3GPP TS 29.508 3GPP TS 29.512 3GPP TS 29.513 3GPP TS 29.519 V15.4.0"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7.html","description":"The User Data Repository (UDR) provisions PCF to retrieve the data stored in the UDR through the Nudr_DataRepository service. The service is also responsible for enabling the NF to subscribe and unsu","children":[{"title":"Call Flows","url":"r_call-flows.html","description":"This section describes the following UDR call flows: AM Policy Subscription SM Policy Subscription","children":[{"title":"AM Policy Subscription","url":"r_call-flow-amppolicy.html","description":"This section describes the call flow of the AM policy association establishment procedure. AM Policy Subscription AM Policy Subscription Step Description 1 The AMF sends a Npcf_AmPolicyControl_Create"},{"title":"SM Policy Subscription","url":"r_call-flow-smppolicy.html","description":"This section describes the call flow of the SM policy association establishment procedure. SM Policy Subscription SM Policy Subscription Step Description 1 The SMF sends a Npcf_SmPolicyControl_Create"}]}]},{"title":"Configuring the UDR Base URL","url":"r_config-udr.html","description":"This section describes how to configure the UDR base URL discovery. You must configure the UDR base URL for discovering profiles. The base URL aids in navigating to the mapped UDR. In the absence of "},{"title":"Filtering the Profile Data","url":"r_policy-builder.html","description":"PCF queries the subscriber attributes that are mapped in additional profiles from UDR for the N7 interface. Based on the UDR response, the attributes that are returned are mapped to the subscriber at"}]},{"title":"Update Requests Toward CHF","url":"g_ldap-notifications-support-toward-chf-n28-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Revision History Revision Details Release First Introduced 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"The 4G CPS PCRF supports LDAP notification. In 5G, this support is available to PCF by using the same LDAP plugins which were deployed for 4G. PCF supports the following features: Requery Subscriber ","children":[{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4_5_6_7_8_9.html","description":"The setting up the LDAP notifications and update requests feature complies with the following standards: 3GPP TS 29.510 V15.2.0 (2018-12)"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4.html","description":"The SMF sends the N7 Create Request to PCF. PCF then sends the query to LDAP to find the subscriber profile. The LDAP notifications from the LDAP client are supported in the following way: For any ch"},{"title":"Configuration Support for Setting up the Update Requests","url":"r_configuring-ldap-notifications-support-and-update-requests-toward-chf-support-over-n28-interface.html","description":"Setting up the update requests toward CHF involves configuring the following services: SpendingLimitSubscription TableDrivenActionOverN28","children":[{"title":"TableDrivenActionOverN28","url":"r_tabledrivenactionovern28.html","description":"This section describes the parameters that are required to configure the TableDrivenActionOverN28 service. The TableDrivenActionOverN28 service configuration evaluates and retrieves action on the rec"},{"title":"SpendingLimitSubscription","url":"r_spendinglimitsubscription.html","description":"This section describes the parameters that are required to configure the SpendingLimitSubscription service. The SpendingLimitSubscription service configuration object is added for the N28 interface. "}]},{"title":"Use Case Template Actions","url":"r_use-case-template-actions-if-n28-tgpp-session-exists.html","description":"This section describes the actions that you can perform for the use case templates. The N28 TGPP session exists condition indicates that a valid N28 session exists for the use case to become true. Th"},{"title":"Troubleshooting Information","url":"r_troubleshooting-information_2.html","description":"For message routing failures, check the datastore pod health and the logs for any issues. For more information on how to check the pod health and logs, see Troubleshooting Information."}]},{"title":"VoNR through the Rx Interface","url":"g_volte-call-handling-rx-rerouting.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Summary Data Applicable Products or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related D"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"Revision History Revision Details Release Revised the content to include the new and updated call flows that reflects support for the PCF to PCRF interaction which encourages the VoLTE calls. Also, a"}]},{"title":"Feature Description","url":"r_feature-description_2_3.html","description":"PCF supports the full Diameter stack along with the standard Diameter interfaces like Rx. With this support, you can configure PCF to handle VoLTE calls for 4G and VoNR for 5G. In 4G scenarios, PCF s","children":[{"title":"Prerequisites","url":"r_prerequisites_2.html","description":"To enable the interaction between PCF and PCRF for VoLTE/VoNR calls, ensure to perform the following on PCRF: Install the following features by adding them to the /etc/broadhop/pcrf/features file: co"},{"title":"Standards Compliance","url":"r_standards-compliance_2_3_4.html","description":"The VoLTE call handling through the Rx message rerouting feature complies with the following standards: 3GPP TS 29.510 V15.2.0 (2018-12)"},{"title":"Limitations","url":"r_limitations.html","description":"In the current release, this feature has the following limitations: The deployment or configuration of the PCF Binding database (SkDB) Mongo instances is not supported via PCF. The PCF binding databa"}]},{"title":"How it Works","url":"r_how-it-works_2_3_4_5.html","children":[{"title":"Call Flows","url":"r_call-flows_2_3_4.html","description":"This section describes the following call flows. Session Create, Update, and Terminate Call Flow Binding Database Query Failures Binding Database Query PCF Failover","children":[{"title":"Session Create, Update, and Terminate Call Flow","url":"r_session-create-update-and-terminate-call-flow.html","description":"This section describes the call flow to create, update, or terminate a session.Session Creation, Update, and Termination Call Flow Session Creation, Update, and Termination Call Flow Description Step"},{"title":"Binding Database Query Failures Call Flow","url":"r_binding-database-query-failures-call-flow.html","description":"This section describes the PCF failover for the binding database query call flow.PCF Failover for Binding Database Query Call Flow PCF Failover for Binding Database Query Call Flow Description Step D"},{"title":"Binding Database Query Call Flow","url":"r_binding-db-query-call-flow.html","description":"This section describes the PCF Rx rerouting and PCRF binding database call flow. PCF Rx Rerouting and PCRF Binding Database Call Flow PCF Rx Rerouting and PCRF Binding Database Call Flow Description "},{"title":"PCF Failover Call Flow","url":"r_pcf-failover-call-flow.html","description":"This section describes the PCF failover call flow.PCF Failover Call Flow PCF Failover Call Flow Description Step Description 1 When a Gx session exists on the PCRF and the local PCF has received the "}]}]},{"title":"Enabling Interaction Between PCF and PCRF for VoNR Calls","url":"r_enabling-interaction-pcf-pcrf.html","description":"This section describes the configurations that you must perform to enable the interaction between PCF and PCRF. Configuring the Interface Between PCF and PCRF","children":[{"title":"Configuring the Interface Between PCF and PCRF","url":"r_config-grpc-interface.html","description":"The gRPC interface is configured on PCRF to accept the Diameter request. You can configure the gRPC interface by adding the com.broadhop.diameter2.local.cnat.feature to the /etc/broadhop/pcrf/feature"}]},{"title":"VoNR through Rx Interface OA&M Support","url":"r_operations-management_2.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Statistics","url":"r_statistics_2.html","description":"The following metric tracks the flow of messages between PCRF and PCF: grpc_message_send_total: Collects the total count of messages that are sent over the gRPC toward the PCF Engine. Statistic Descr"}]}]},{"title":"Advanced Tuning Parameters","url":"g_advanced-tuning.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history-content.html","children":[{"title":"Summary Data","url":"r_summary-data-content.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Documen"},{"title":"Revision History","url":"r_revision-history-content.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description-content.html","description":"The PCF Ops Center allows you to configure the advanced tuning parameters for PCF. The tuning parameters primarily consist of the async-threading and http2-threading parameters. These parameters prov"},{"title":"Configuration Support for the Advanced Tuning Parameters","url":"r_config-the-advanced-tuning-parameters.html","description":"This section describes how to configure the advanced tuning parameters using the CLI. The configuration of the advanced tuning parameters involves: Configuring the Async Threading Parameters Configur","children":[{"title":"Configuring the Async Threading Parameters","url":"r_conf-async.html","description":"This section describes how to fine tune the async threading parameters. To configure the http2-threading parameters, use the following configuration in the Policy Ops Center console: config advance-t"},{"title":"Configuring the HTTP2 Threading Parameters","url":"r_conf-http2threading.html","description":"This section describes how to refine the http2-threading parameters.To configure the http2-threading parameters, use the following configuration in the Policy Ops Center console:config http2-threadin"}]}]},{"title":"PCF Application-Based Alerts","url":"g_pcf-application-based-alerts.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revison-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"Summary Data Applicable Products or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.01.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5.html","description":"When the system detects an anomaly, it generates an alert notification. The system statistics are the cause for these alert notifications. You can set an expression to trigger an alert when the expre"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"The Common Execution Environment (CEE) uses the Prometheus Alert Manager for alerting operations. The CEE YANG model, accessible through CLI or API, allows you to view the active alerts, silenced ale"},{"title":"Configuring Alert Rules","url":"r_configuring-alert-rules.html","description":"This section describes how to configure the alert rules. To configure the alert rules, use the following configuration: config alerts rules group alert_group_name rule rule_name expression promql_exp","children":[{"title":"Viewing Alert Logger","url":"r_viewing-alert-logger.html","description":"The Alert Logger stores the alerts that PCF generates by defualt. You can view these alerts using the following command: show alert history [ filtering ] You can narrow down the result using the foll"}]},{"title":"Sample Alerts Configuration","url":"r_sample-alert-config.html","description":"This section provides sample configurations that are defined in PCF.","children":[{"title":"Interface-Specific Alerts","url":"r_interface-alerts.html","description":"N7 Interface Inbound Use the following commands to configure alerts related to an inbound N7 interface. alerts rules group PCFSvcStatus interval-seconds 300 rule PCFN7Inbound expression sum(increase("},{"title":"Message-Level Alerts","url":"r_message-level-alerts.html","description":"N7 Create Request Use the following commands to configure alerts related to N7 Create Request. alerts rules group PCFSvcStatus interval-seconds 300 rule N7CreateRequest expression sum(increase(inboun"},{"title":"Process-Level Alerts","url":"r_process-level-alerts.html","description":"CDL Endpoint Down Use the following commands to configure alerts related to CDL endpoint down. alerts rules group cdl-ep-change rule pod-down expression up{pod=~\u0027cdl-ep.*\u0027} == 0 duration 1m severity "},{"title":"Call Flow Procedure Alerts","url":"r_call-flow-alerts.html","description":"LDAP Query Request Use the following commands to configure alerts related to LDAP Query Request. alerts rules group PCFProcStatus interval-seconds 300 rule LDAPQuery expression sum(increase(message_t"},{"title":"System Alerts","url":"r_system-alerts.html","description":"Disk Full Alert Use the following commands to configure alerts related to disk full alert. alerts rules group rule node-disk-running-full expression node_filesystem_usage > 0.0001 duration 5m severit"}]}]},{"title":"Event Logs","url":"g_application-logging.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Summary DataApplicable Product(s) or Functional Area5G-PCFApplicable Platform(s)SMIFeature Default SettingEnabled \u2013 Always-OnRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Appl"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12.html","description":"PCF provides a centralized view of the application logs that are consolidated from different containers. The unified view improves the efficiency as you can determine the issue faster instead of acce"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11.html","description":"The OAM node hosts the logs which different application containers generate. These containers include the pcf (engine), pcf-rest-ep, policy-builder, diameter-ep, ldap-ep, crd, and unifiedapi."},{"title":"Viewing the Logs","url":"r_viewing-consolidated-logs.html","description":"This section describes how to view the consolidated application logs. To view the consolidated logs, use the following command: kubectl logs -n namespace consolidated-logging-0 NOTES: namespace \u2013 Spe"},{"title":"Troubleshooting Information","url":"r_troubleshooting-information.html","description":"This section provides information for troubleshooting any issues that may arise during the feature operation. If the logs are not generated in the consolidated-logging-0 pod, then one of the followin"}]},{"title":"Troubleshooting Information","url":"g_chapter-troubleshooting.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-SMI Applicable Platform(s) PCF Feature Default Setting Enabled \u2013 Configuration Required Related Changes in this Release Not Applicable Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6.html","description":"Revision History Revision Details Release First Introduced. 2020.01.0"}]},{"title":"Debugging the PCF Deployment Issues","url":"r_deployment-issues.html","description":"This section describes how to debug the issues that may occur when you deploy PCF through the SMI Deployer. To debug the deployment issues, use the following checklist. If the checklist does not assi"},{"title":"Issue with Refreshing the PCF Ops Center","url":"r_refreshing-issue.html","description":"This section describes how to refresh the PCF Ops Center to display the latest configurations. Problem The PCF Ops Center is not considering the recent configurations due to which you may observe sta"},{"title":"Subscriber Not Found or Primary Key Not Found","url":"r_subscriber-issues.html","description":"This section describes how to resolve the issues that report the Subscriber Not Found or Primary Key Not Found messages. Problem When the NFs cannot find the subscriber details, they send the Subscri"},{"title":"Message Routing Issues","url":"r_message-routing.html","description":"This section describes how to troubleshoot the message routing issues. Problem You may observe a message routing failure when a message from the PCF endpoint incorrectly routes a message from Canary "},{"title":"Collecting the Troubleshooting Information","url":"r_log-information.html","description":"If you encounter issues in your PCF environment, gather and analyse the information associated to the failed action or process. Having this information enables you to detect the component that experi"},{"title":"Interface Error Codes","url":"r_error-codes.html","description":"This section describes the codes that PCF reports for the interface errors. Interface codes are generated as part of the logs or captured in the statistics. The following tables describes the error a"},{"title":"Forwarding logs to the Splunk Server","url":"r_forwarding-logs-splunk.html","description":"This section describes how to enable PCF to forward the logs to the Splunk server. Splunk is a third-party monitoring application that stores the log files and provides index-based search capability."},{"title":"Pods stop running when PCF is upgraded through the Rolling Upgrade process","url":"r_pods_disappearing.html","description":"This section describes how to ensure that the pods are running when PCF is upgraded. Problem When the PCF version is upgraded to the subsequent available version, some pods such as CRD and Policy Eng"}]}]},{"title":"Sample PCF Configuration","url":"part_sample_config.html","children":[{"title":"Sample PCF Configuration","url":"c_sample-config.html","children":[{"title":"Sample Configuration File","url":"r_sample-configuration_2_3.html","description":"The following is only a sample configuration file provided solely for your reference. You must create and modify your own configuration file according to the specific needs of your deployment. The ma"}]}]},{"title":"Statistics Reference","url":"g_stats-kpi-reference-generic.html","children":[{"title":"Prometheus and Grafana","url":"g_overview-stats.html","children":[{"title":"Feature Summary","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-PCF Applicable Platform(s) SMI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentatio"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"You can a monitor wide range of application and system statistics, and key performance indicators (KPI) within the PCF infrastructure. KPIs are useful to gain insight into the overall health of the P","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"KPIs constitute of metrics such as statistics and counters. These metrics represent the performance improvement or degradation. By default, Prometheus is enabled on the system where PCF is deployed, "}]},{"title":"Managing the PCF Statistics","url":"r_managing-the-pcf-statistics.html","description":"This section describes how to view statistics within PCF. Managing the PCF statistics involves the following: Viewing the Statistics Accessing the Grafana Dashboard Viewing the PCF Dashboard Running ","children":[{"title":"Viewing the Statistics","url":"r_viewing-the-statistics.html","description":"This section describes how to view the statistics information. On the system where PCF is deployed, navigate to the following URL: https://docs.namespace-product-documentation.IP_address.nip.io/ All "},{"title":"Accessing the Grafana Dashboard","url":"r_accessing-the-grafana-dashboard.html","description":"This section describes how to access Grafana to view the visual representation of KPIs. On the system where PCF is deployed, navigate to the following URL to view the dashboard: https://grafana.smi-c"},{"title":"Viewing the PCF Dashboard","url":"r_viewing-the-pcf-dashboard.html","description":"This section how to view the PCF dashboard. On the PCF Application dashboard, in the left pane, click the dashboard icon to open the menu and select Manage. In the Manage tab, click the namespace fol"},{"title":"Running a Query in Grafana","url":"r_running-a-query-in-grafana.html","description":"This section describes how to execute a query in Grafana. The PCF Dashboard creates a panel containing the graph that is based on the query that it ingests. Grafana brings up a panel to visualize dat"},{"title":"Configuring Autorefresh","url":"r_configuring-auto-refresh.html","description":"This section describes how to configure autorefresh to ensure that you view the recent information on Grafana. On the PCF Application dashboard, click the gear on the top-right corner to open the Set"},{"title":"Exporting and Importing Dashboards","url":"r_exporting-and-importing-dashboards.html","description":"This section describes how to export and import Grafana dashboards between environments and share them.","children":[{"title":"Exporting Dashboards","url":"r_exporting-dashboards.html","description":"To export a dashboard configuration to a file: Log in as an administrative user. Open the dashboard that you want to export. Click the gear icon at the top of the page, and then click Export to save "},{"title":"Importing Dashboards","url":"r_importing-dashboards.html","description":"To import a dashboard from a file: Log in as an administrative user. In the left pane, click the Dashboard icon to open the menu and click Home. The home pane opens. Click the Home drop-down and clic"},{"title":"Exporting the Graph Data to CSV","url":"r_exporting-the-graph-data-to-csv.html","description":"This section describes how to export a dashboard in a CSV format. On the Grafana dashboard, click the title of the graph to open the graph controls. Click the rows button to open the menu. To view th"}]},{"title":"Filtering the Graphs","url":"r_filtering-the-graphs.html","description":"This section describes how to filter graphs on a dashboard. You can narrow down the visualizations appearing on a dashboard by filtering them based on the specific time range. On the PCF Application "}]},{"title":"Bulk Statistics","url":"r_bulk-stats.html","description":"Bulk statistics are the statistics that are collected periodically and written to a set of CSV files. These statistics can be used by external analytic processes and/or network management systems. Bu","children":[{"title":"Configuring the Bulk Statistics Collection","url":"r_config-bulk-stats.html","description":"This section describes how to configure the bulk statistics collection feature. You can optimize and control the bulk statistics collection by creating the Prometheus query that you configure on the "},{"title":"Sample Queries for Bulk Statistics","url":"r_sample-bulk-stat-queries.html","description":"This section contains the sample Prometheus queries. PCF Sample Queries Query Description incoming_request_total{interface_name=\u0022N7\u0022, command=\u0022Create\u0022} Fetches the total incoming create request for t"},{"title":"Sample Configuration","url":"r_sample-bulk-stat.html","description":"The following is a sample bulk statistic: cee(config)# bulk-stats enable true bulk-stats query diameter_request_total expression \u0022sum(irate(diameter_requests_total{exported_application=~\\\u0022.*\\\u0022,comman"},{"title":"Sample Bulk Statistics Configuration","url":"r_sample-bulk-statistics-configuration.html","description":"This section provides sample bulk statistics configurations that are defined in PCF. LDAP_Max_Avail_Connections bulk-stats query LDAP_Max_Avail_Connections expression sum(ldap_connections_total{type="}]}]},{"title":"Statistics and KPI Reference","url":"g_stats-kpi-reference.html","children":[{"title":"PCF Statistics","url":"r_pcfstatistics.html","children":[{"title":"PCF Service Category","url":"r_pcf_service_category.html","description":"charging_rule_base_total Description: Total number of charging rule Sample Query: sum(irate(charging_rule_base{interface=\\\u0022N7\\\u0022,name=~\\\u0022.*\\\u0022,action=\\\u0022install\\\u0022}[1m])) by (interface,name,action) Label"},{"title":"PCF Endpoint Requests Category","url":"r_pcf_endpoint_requests_category.html","description":"async_svc_runnable_time Description: Total Async Service Runnable Count Sample Query: async_svc_runnable_time{service_name=\\\u0022npcf-smpolicycontrol\\\u0022, operation=\\\u0022Npcf_SMPolicyControl_UpdateNotify\\\u0022,co"},{"title":"PCF Diameter Stats Category","url":"r_pcf_diameter_stats_category.html","description":"diameter_late_responses_total Description: Captures the total count of Diameter responses that the PCF Engine took time to process Sample Query: diameter_late_responses_total{command_code=\\\u0022AAR\\\u0022,app"}]},{"title":"Interface KPIs","url":"r_interfacekpis.html","description":"N7 Data Create Success Rate without timeouts Description: Counts the N7 data create success rate without timeouts. Formula: sum(irate(incoming_request_total{interface_name=\u0022N7\u0022, command=\u0022Create\u0022, res"},{"title":"System KPIs","url":"r_systemkpis.html","children":[{"title":"System Health Monitoring KPIs","url":"r_systemhealthkpi.html","description":"The following table lists the KPIs and thresholds to track the overall performance of the PCF deployment, including information about the underlying hardware. CPU Utilization Description: CPU is a cr"},{"title":"System Status KPIs","url":"r_systemstatuskpis.html","description":"system_mode Description: Indicates the current mode the system is running on. Statistics/Formula: system_mode Labels: Label: 0 Label Description: The system is in shutdown mode. Label: 1 Label Descri"},{"title":"System Configuration KPIs","url":"r_systemconfigurationkpis.html","description":"system_configuration_bac kup_total Description: Captures the total number of system configuration backups that are executed. Statistics/Formula: irate(system_configuration_backup_total [1m]) Labels: "},{"title":"CPU Category","url":"r_cpu_category.html","description":"node_cpu_seconds_total Description: Seconds the cpus spent in each mode Sample Query: avg(irate(node_cpu_seconds_total{mode=~\\\u0022irq|softirq\\\u0022}[1m])) by (instance) * 100 Labels: Label: instance Label D"},{"title":"Disk Category","url":"r_disk_category.html","description":"node_disk_bytes_read Description: This metrics gives the total number of bytes read successfully. Sample Query: sum(irate(node_disk_bytes_read[1m])) by (instance) Labels: Label: instance Label Descri"},{"title":"File System Category","url":"r_file_system_category.html","description":"node_filesystem_free_bytes Description: This metrics gives the total number of bytes of the free disk space available on the instance Sample Query: sum(node_filesystem_free_bytes{mountpoint=\\\u0022/data\\\u0022"},{"title":"Load Category","url":"r_load_category.html","description":"node_load1 Description: This metrics gives the 1m load average. Metric Type: Gauge Data Type: Float Sample Query: avg(irate(node_load1[1m])) by (instance) Labels: Label: instance Label Description: t"},{"title":"Memory Category","url":"r_memory_category.html","description":"node_memory_MemFree_bytes Description: This metrics gives the total number of bytes of the free memory available on the node Sample Query: sum(node_memory_MemFree_bytes) by (instance) Labels: Label: "},{"title":"Network Category","url":"r_network_category.html","description":"node_network_receive_bytes_total Description: This metrics gives the total number of bytes received over the network device Sample Query: sum(irate(node_network_receive_bytes_total[1m])) by (device) "}]}]},{"title":"MIB Reference","url":"g_mib.html","children":[{"title":"CISCO-CNEE-MIB","url":"cisco-cnee-mib-my.html","description":"ciscoCneeMIB Module Identity Last Updated: \u0022201910120000Z\u0022 Organization: \u0022Cisco Systems, Inc.\u0022 Contact Info: \u0022Cisco Systems Customer Service Postal: 170 W Tasman Drive San Jose, CA 95134 USA Tel: +1 "},{"title":"CISCO-SMI","url":"cisco-smi-my.html","description":"ciscoProducts Object ID Status: current Description: ciscoProducts is the root OBJECT IDENTIFIER from which sysObjectID values are assigned. Actual values are defined in CISCO-PRODUCTS-MIB. { cisco 1"}]}]},{"title":"CLI Command Reference","url":"g_part-cli-reference.html","description":"The YANG files describe the configuration and operational data for using various PCF commands.","children":[{"title":"Mobile Policy Executive Commands","url":"g_exec.html","children":[{"title":"aaa authentication","url":"r_aaa-command.html","description":"Configures the aaa-based user management parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax aaa authentication users user admin change-password { old-password"},{"title":"cd","url":"r_cd.html","description":"Changes the current working directory. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax cd directory.ssh directory Specify the directory name. Must be a string. Use thi"},{"title":"cdl clear sessions","url":"r_cdl-command.html","description":"Clears the data from the Cisco Data Layer (CDL) datastore. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax cdl clear sessions [ db-name database | filter filter | map-"},{"title":"cdl show sessions","url":"r_cdl-show-session.html","description":"Displays the session data from the datastore. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax cdl show sessions { count | detailed | summary } count Specify to display"},{"title":"cdl show status","url":"r_cdl-show-status.html","description":"Displays the status of the database from the datastore Privilege Level Security Administrator, Administrator Command Modes Exec Syntax cdl show status db-name database_name db-name database_name Spec"},{"title":"commit abort","url":"r_commit.html","description":"Aborts the commit operation associated to the persist-ID. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax commit { abort persist-id persist_id } abort persist-id persi"},{"title":"commit confirm","url":"r_commit-confirm.html","description":"Confirms the commit operation for the persist-ID. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax commit confirm persist-id persist_id persist-id persist_id Specify to"},{"title":"commit persist-ID","url":"r_commit-persistid.html","description":"Displays the commits associated to the persist-ID. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax commit persist-id persist_id persist-id persist_id Specify to confir"},{"title":"compare","url":"r_compare.html","description":"Compares running configuration to another configuration or a file. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax compare file { filename [.kube | .ssh] | another_con"},{"title":"config exclusive","url":"r_config.html","description":"Manipulates the software configuration information to enter the exclusive configuration mode. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax config exclusive [ no-con"},{"title":"config shared","url":"r_config-shared.html","description":"Manipulates the software configuration information to enter the shared configuration mode. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax config shared [ no-confirm ]"},{"title":"config terminal","url":"r_config-terminal.html","description":"Manipulates the software configuration information to enter the terminal configuration mode. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax config terminal [ no-confi"},{"title":"deployment add","url":"r_deployment.html","description":"Configures the deployment parameters such as the list of cluster-name, and external IP and port number of the unified-api service. Privilege Level Security Administrator, Administrator Command Modes "},{"title":"deployment remove-config","url":"r_deployment-remove.html","description":"Removes the deployment configuration file. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax deployment remove-config remove-config Specify to remove the configuration f"},{"title":"deployment show-config","url":"r_deployment-show.html","description":"Displays the deployment environment parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax deployment show-config show-config Specify to display the deployment pa"},{"title":"describe","url":"r_describe.html","description":"Displays the command information. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax describe command command Specify the command name. Must be a string. Use this command"},{"title":"exit","url":"r_exit.html","description":"Exits the current configuration mode and returns to the parent configuration mode. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax exit Use this command to exit the cu"},{"title":"help","url":"r_help.html","description":"Displays help information for specified command. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax help command command Specify the command name to display help informat"},{"title":"history","url":"r_history.html","description":"Configures the command history cache size. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax history history_size history_size Specify the command history cache size. Mu"},{"title":"id","url":"r_id.html","description":"Displays user ID information. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax id Use this command to view user ID information."},{"title":"idle-timeout","url":"r_idle-timeout.html","description":"Configures the maximum duration a command can remain idle in seconds after which the system automatically terminates the command. Privilege Level Security Administrator, Administrator Command Modes E"},{"title":"ignore-leading-space","url":"r_ignore-leading-space.html","description":"Configures whether to ignore or consider leading whitespace at the beginning of a command. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax ignore-leading-space { false"},{"title":"job","url":"r_job.html","description":"Suspends the jobs that are running in the background. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax job stop job_id job_id Specify the job ID. Must be an integer. Us"},{"title":"leaf-prompting","url":"r_leaf-prompting.html","description":"Enables or disables automatically querying for leaf values. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax leaf-prompting { false | true } leaf-prompting { false | tr"},{"title":"license smart","url":"r_license.html","description":"Registers the VNF for Smart Licensing. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax license smart register [ force ] idtoken idtoken register Specify to register th"},{"title":"license smart deregister","url":"r_license-deregister.html","description":"Deregisters the VNF for Smart Licensing. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax license smart deregister deregister Specify to deregister the VNF for Smart Li"},{"title":"license smart renew","url":"r_license-renew.html","description":"Renew smart agent ids and authentication. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax license smart renew { ID | auth } renew Specify to renew the smart agent IDs "},{"title":"logout session","url":"r_logout.html","description":"Logs out a specific session. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax logout sessionsession session session Specify the session from the possible completion opt"},{"title":"logout user","url":"r_logout-user.html","description":"Logs out a specific user from all sessions. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax logout user user user user Specify the user from the possible completion op"},{"title":"no","url":"r_no.html","description":"Restores the command history cache size to its default setting. See the history command. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax no history Use this command to"},{"title":"paginate","url":"r_paginate.html","description":"Configures whether or not to paginate CLI command output. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax paginate { true | false } paginate { true | false } Specify f"},{"title":"quit","url":"r_quit.html","description":"Exits the management session. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax quit Use this command to exit the management session."},{"title":"screen-length","url":"r_screen-length.html","description":"Configures the number of rows of text that the terminal screen displays. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax screen-length number_of_rows number_of_rows Sp"},{"title":"screen-width","url":"r_screen-width.html","description":"Configures the number of columns that the terminal screen displays. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax screen-width number_of_columns number_of_columns Sp"},{"title":"send","url":"r_send.html","description":"Sends messages to the terminal of a specific user or all users. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax send user message user Specify the user to whom the mes"},{"title":"show","url":"r_show.html","description":"Displays the system information. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax show system_component system_component Specify the component to view the information. "},{"title":"show-defaults","url":"r_show-defaults.html","description":"Configures whether to display default values when showing the configuration. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax show-defaults { false | true } show-defaul"},{"title":"smiuser add-group","url":"r_smi-add-grp.html","description":"Configures the SMI group parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser add-group groupname group_name groupname group_name Specify the group name"},{"title":"smiuser add-group","url":"r_smi-add-grp_2.html","description":"Configures the SMI group parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser add-group groupname group_name groupname group_name Specify the group name"},{"title":"smiuser add-user","url":"r_smiuser-adduser.html","description":"Configures the SMI user account parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser add-user username username password password username username Spec"},{"title":"smiuser assign-user-group","url":"r_smiuser-assign-user-group.html","description":"Assigns the SMI user group. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser assign-user-group groupname group_name username username username username Specify "},{"title":"smiuser change-password","url":"r_smiuser-change-password.html","description":"Allows resetting the SMI password. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser change-password { username username | current_password current_password | ne"},{"title":"smiuser change-password-age","url":"r_smiuser-change-pwd-age.html","description":"Configures the number of days before which the password expires. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser change-password-age [ username username | pass"},{"title":"smiuser change-self-password","url":"r_smiuser-change-self-pwd.html","description":"Resets the SMI user accounts self-password. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser change-self-password { current_password current_password | new_pass"},{"title":"smiuser delete-group","url":"r_smiuser-delete-grp.html","description":"Deletes the SMI group. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser delete-group groupname group_name groupname group_name Specify the group name. Must be a"},{"title":"smiuser delete-user","url":"r_smiuser-delete-user.html","description":"Deletes the SMI user. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser delete-user username username username username Specify the username. Must be a string. U"},{"title":"smiuser show-user","url":"r_smiuser-show-user.html","description":"Displays the SMI user details. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser show-user username username username username Specify the username. Must be a st"},{"title":"smiuser unassign-user-group","url":"r_smiuser-unassign-user-grp.html","description":"Configures the SMI user\u0027s unassign user group. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser unassign-user-group groupname groupname_pam username username_pa"},{"title":"smiuser update-password-length","url":"r_smiuser-update-pwd-length.html","description":"Configures the minimum password length. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax smiuser update-password-length length password_length length password_length Sp"},{"title":"subscriber","url":"r_subscriber.html","description":"Configures the subscriber parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax subscriber session [ imsi imsi_value | msisdn msisdn_value ] imsi imsi_value Spec"},{"title":"system ops-center","url":"r_system.html","description":"Suspends the ops center diagnostics synching process. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax system ops-center stop ops-center stop Specify to stop the synchi"},{"title":"system sync","url":"r_system-sync.html","description":"Configures automatic synching. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax system ops-center stop synch { start | stop } Specify to start or stop the synching proc"},{"title":"system upgrade","url":"r_system-upgrade.html","description":"Enforces the product upgrade. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax system upgrade Use this command to enforce the product upgrade."},{"title":"system uuid-override","url":"r_system-uuid-override.html","description":"Enforce the UUID to a new value. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax system uuid-override new-uuid uid new-uuid uid Specify the ID Token to register the ag"},{"title":"system ops-center-debug","url":"r_systen-ops-debug.html","description":"Configures the ops center debugging process. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax system ops-center-debug { start | stop } ops-center-debug { start | stop }"},{"title":"terminal","url":"r_terminal.html","description":"Configures the terminal parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax terminal terminal_type terminal_type Specify the terminal type. Must be one of the "},{"title":"timestamp","url":"r_timestamp.html","description":"Configures the timestamp parameters. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax timestamp { enable | disable } timestamp{ enable | disable } Specify the configura"},{"title":"who","url":"r_who.html","description":"Displays information on currently logged on users. Privilege Level Security Administrator, Administrator Command Modes Exec Syntax who Use this command to view information on currently logged on user"}]},{"title":"Mobile Policy Common Commands","url":"g_common.html","children":[{"title":"ldap","url":"r_ldap-command_2.html","description":"Configures the LDAP connections for the SPR lookup. Product PCF Privilege Level Security Administrator, Administrator Syntax ldap { replicas number_of_replicas | repository repository_name | server-s"},{"title":"db","url":"r_db-command.html","description":"Configures database setup. Product PCF Privilege Level Security Administrator, Administrator Syntax db { balance shard count number_of_shard | global-settings { db-replica number_of_replica | timers "},{"title":"cluster","url":"r_cluster-command.html","description":"Configures the cluster parameters. Product PCF Privilege Level Security Administrator, Administrator Syntax cluster { cluster-id cluster_id | system-id system_id } cluster-id cluster_id Specify the c"},{"title":"debug","url":"r_debug-command.html","description":"Configures parameters for the debugging. Product PCF Privilege Level Security Administrator, Administrator Syntax debug { logging { default-level { debug | error | info | off | trace | warn } | logge"},{"title":"features","url":"r_features-command.html","description":"Configures the control application parameters. Product PCF Privilege Level Security Administrator, Administrator Syntax features { activemq cluster-ip cluster_ip_address | patching ingress-enabled { "},{"title":"zing","url":"r_zing-command.html","description":"Enables or disables the Zing feature for the engine. Product PCF Privilege Level Security Administrator, Administrator Syntax zing enable { false | true } enable {false|true} Specify false to disable"},{"title":"testing","url":"r_testing-command.html","description":"Configures the parameters for the Testing feature. Product PCF Privilege Level Security Administrator, Administrator Syntax testing { external-mongo-access { admin | balance | session | spr } | subve"}]},{"title":"Mobile Policy CDL Client Commands","url":"g_cdl.html","children":[{"title":"datastore external-endpoints","url":"r_datastore-external-endpoints-command.html","description":"Configures the list of external datastore endpoints. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore external-endpoints external_endpoint "},{"title":"datastore external-endpoints connection-settings","url":"r_datastore-external-endpoints-connection-settings-command.html","description":"Configures the connection setting parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore external-endpoints external_endpoints connec"},{"title":"datastore external-endpoints connection-settings channel","url":"r_datastore-external-endpoints-connection-settings-channel-command.html","description":"Configures the number of parallel gRPC channels to open towards each datastore endpoint. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore {"},{"title":"datastore external-endpoints connection-settings keep-alive","url":"r_datastore-external-endpoints-connection-settings-keep-alive-command.html","description":"Configures keep-alive parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore { external-endpoints external_endpoints | primary_enpoin"},{"title":"datastore primary-endpoint","url":"r_datastore-primary-endpoint-command.html","description":"Configures the primary (cluster local) datastore parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore primary-endpoint connection-s"},{"title":"datastore primary-endpoint connection-settings","url":"r_datastore-primary-endpoint-connection-settings-command.html","description":"Configures the datastore connection settings. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore { external-endpoints external_endpoints | pr"},{"title":"datastore primary-endpoint connection-settings channel","url":"r_datastore-primary-endpoint-connection-settings-channel-command.html","description":"Configures the number of parallel gRPC channels to open towards each datastore endpoint. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore {"},{"title":"datastore primary-endpoint connection-settings keep-alive","url":"r_datastore-primary-endpoint-connection-settings-keep-alive-command.html","description":"Configures keep-alive parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdatastore { external-endpoints external_endpoints | primary_enpoin"}]},{"title":"Mobile Policy LDAP Commands","url":"g_ldap.html","children":[{"title":"ldap","url":"r_ldap-command.html","description":"Configures LDAP parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap [ replicas replica_count | repository helm_repository ] replicas re"},{"title":"ldap server-set","url":"r_ldap-server-set-command.html","description":"Configures the LDAP server set parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap server-set server_name [ add-child-on-parent-create-"},{"title":"ldap server-set add-request-attribute","url":"r_ldap-server-set-add-request-attribute-command.html","description":"Configures the request attribute. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxadd-request-attribute attribute_name attribute_value attribute_nam"},{"title":"ldap server-set connection","url":"r_ldap-server-set-connection-command.html","description":"Configure the LDAP connection parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxconnection ldap_address port_number { auto-reconnect { fal"},{"title":"ldap server-set health-check","url":"r_ldap-server-set-health-check-command.html","description":"Configures the health check parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxhealth-check { attributes attribute_string | dn health_check"},{"title":"ldap server-set search-user","url":"r_ldap-server-set-search-user-command.html","description":"Enables search user for LDAP. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsearch-user { [ dn user_dn ] [ password user_password ] } dn user_dnSp"}]},{"title":"Mobile Policy Infrastructure Commands","url":"g_mobile-policy-infrastructure.html","children":[{"title":"db balance","url":"r_db-balance-command.html","description":"Configures the Balance database. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdb balance shard-count balance_db_shard_count shard-count balance_d"},{"title":"db global-settings","url":"r_db-global-settings-command.html","description":"Configures global DB settings. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxglobal-settings db-replica replica_count db-replica replica_countSpec"},{"title":"db global-settings timers","url":"r_db-global-settings-timers-command.html","description":"Configures global MongoDB timers. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdb global-settings timers { catchup-timeout-millis catchup_timeout"},{"title":"db spr","url":"r_db-spr-command.html","description":"Configures the SPR database. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdb spr shard-count shard_count shard-count shard_countSpecify the SPR d"}]},{"title":"Mobile LDAP Server Set Commands","url":"g_mobile-services-repository-yang.html","children":[{"title":"ldap-server-endpoint","url":"r_ldap-server-endpoint-command.html","description":"Configures the LDAP server endpoint parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server-endpoint Use this command to configure t"},{"title":"ldap-server-endpoint connect","url":"r_ldap-server-endpoint-connect-command.html","description":"Configures the LDAP Server connection parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server-endpoint connect [ bind-ip bind_ip_add"},{"title":"ldap-server-endpoint health-check-attributes","url":"r_ldap-server-endpoint-health-check-attributes-command.html","description":"Configures the response attributes and values for the health-check request. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server-endpoint hea"},{"title":"ldap-server-endpoint health-check-filter","url":"r_ldap-server-endpoint-health-check-filter-command.html","description":"Configures the health check filter parameters for the LDAP server endpoint. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server-endpoint hea"},{"title":"ldap-server-endpoint input-mapping","url":"r_ldap-server-endpoint-input-mapping-command.html","description":"Configures mapping for the LDAP search query filter name to Session lookup attribute. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server-en"},{"title":"ldap-server-endpoint ldap-clients","url":"r_ldap-server-endpoint-ldap-clients-command.html","description":"Configures the LDAP client credentials to bind to the server. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server-endpoint ldap-clients clie"},{"title":"ldap-server-endpoint output-mapping","url":"r_ldap-server-endpoint-output-mapping-command.html","description":"Configures the mapping for session lookup attributes to LDAP search response attributes. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-server"}]},{"title":"Mobile Policy PCF Commands","url":"g_pcf.html","children":[{"title":"advance-tuning async-threading","url":"r_advance-tuning-async-threading-command.html","description":"Configures threading configuration for HTTP outgoing request from PCF. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxadvance-tuning async-threadin"},{"title":"advance-tuning async-threading threading-config","url":"r_advance-tuning-async-threading-threading-config-command.html","description":"Configures service threading. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxthreading-config service_name service-name service_nameSpecify the ser"},{"title":"advance-tuning diameter global","url":"r_advance-tuning-diameter-global-command.html","description":"Configures Overload Control configuration for all Diameter interfaces. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxadvance-tuning overload-contr"},{"title":"advance-tuning diameter global action","url":"r_advance-tuning-diameter-global-action-command.html","description":"Configures the action to take on overload detection. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxaction throttle-action throttle_action action t"},{"title":"advance-tuning diameter global limits","url":"r_advance-tuning-diameter-global-limits-command.html","description":"Configures the limits for the overload handling parameters for the REST or Diameter interface. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlimit"},{"title":"advance-tuning http2-threading","url":"r_advance-tuning-http2-threading-command.html","description":"Configures threading configuration for HTTP incoming request to PCF. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxadvance-tuning http2-threading "},{"title":"advance-tuning overload-control","url":"r_advance-tuning-overload-control-command.html","description":"Configures threading configuration for HTTP incoming request to PCF. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxadvance-tuning overload-control"},{"title":"advance-tuning overload-control rest global","url":"r_advance-tuning-overload-control-rest-global-command.html","description":"Configures Overload Control configuration for all REST traffic. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxadvance-tuning overload-control rest"},{"title":"advance-tuning overload-control rest global action","url":"r_advance-tuning-overload-control-rest-global-action-command.html","description":"Configures the action to take on overload detection. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxaction throttle-action throttle_action action t"},{"title":"advance-tuning overload-control rest global limits","url":"r_advance-tuning-overload-control-rest-global-limits-command.html","description":"Configures the limits for the overload handling parameters for the REST or Diameter interface. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlimit"},{"title":"pcf-tools","url":"r_pcf-tools-command.html","description":"Enables the PCF tools. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxpcf-tools enable { false | true } enable { false | true }Specify whether to e"},{"title":"rest-endpoint","url":"r_rest-endpoint-command.html","description":"Configures the REST endpoint. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxrest-endpoint { ips ip_address | port port_number | replicas replica_c"},{"title":"rest-endpoint interface","url":"r_rest-endpoint-interface-command.html","description":"Configures the NF interfaces. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxrest-endpoint interface interface_type ip ip_address interface interfa"},{"title":"traffic engine","url":"r_traffic-engine-command.html","description":"Configures the default engine group to receive traffic. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtraffic engine default-destination default_d"},{"title":"traffic engine rule","url":"r_traffic-engine-rule-command.html","description":"Configures traffic routing rule paramaeters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtraffic engine rule rule_name { dnn dnn_route | supi su"}]},{"title":"Mobile Policy PCRF Commands","url":"g_pcrf.html","children":[{"title":"traffic engine","url":"r_traffic-engine-command_2.html","description":"Configures PCRF traffic steering. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtraffic engine default-destination default_destination default-des"},{"title":"traffic engine rule","url":"r_traffic-engine-rule-command_2.html","description":"Configures the traffic routing rule. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtraffic engine rule rule_name { id rule_id | apn apn_name | ims"}]},{"title":"Mobile Policy Types Commands","url":"g_policy-types.html","children":[{"title":"api unified","url":"r_api-unified-command.html","description":"Configures unified API parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxapi unified { [ engine-group engine_group ] [ externalIPs ip_addr"},{"title":"engine","url":"r_engine-command.html","description":"Configures the engine parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name [ boot-config engine_name | config-lock { false"},{"title":"engine environment","url":"r_engine-environment-command.html","description":"Configures the environment variables exposed to engine-app pods. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name environment envi"},{"title":"engine grpc","url":"r_engine-grpc-command.html","description":"Configures the gRPC parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name grpc [ externalIPs external_ip_address | port grp"},{"title":"engine install-features","url":"r_engine-install-features-command.html","description":"Configures the installation feature parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name install-features { policy-builder"},{"title":"engine patching patch","url":"r_engine-patching-patch-command.html","description":"Configures the patching parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name patching patch patch_id [ [ jar jar_to_patch "},{"title":"engine properties","url":"r_engine-properties-command.html","description":"Configures the system properties passed to the application. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name properties system_pro"},{"title":"engine resources limits","url":"r_engine-resources-limits-command.html","description":"Configures the resource request parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name resources limits { [ cpu cpu_limit ] "},{"title":"engine resources requests","url":"r_engine-resources-requests-command.html","description":"Configures the resource request parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxengine engine_name resources requests { [ cpu cpu_reques"},{"title":"external-services","url":"r_external-services-command.html","description":"Configures access to external services. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxexternal-services K8 service name service_name [ ips ip_addr"},{"title":"label cdl-layer","url":"r_label-cdl-layer-command.html","description":"Configures the CDL pods node affinity label. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl-layer { key label_key | value label_value } key lab"},{"title":"label oam-layer","url":"r_label-oam-layer-command.html","description":"Configures the OAM pods node affinity label. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxoam-layer { key label_key | value label_value } key lab"},{"title":"label protocol-layer","url":"r_label-protocol-layer-command.html","description":"Configures the protocol layer pod node affinity label. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxprotocol-layer { key label_key | value label_"},{"title":"label service-layer","url":"r_label-service-layer-command.html","description":"Configures the service pods node affinity label. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-layer { key label_key | value label_value }"}]},{"title":"Mobile Services Repository Commands","url":"g_mobile-services-repository-yang_2.html","children":[{"title":"deployment add config","url":"r_deployment-add-config-command.html","description":"Configures the cluster name and unified API external IP parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdeployment add config { cluster-"},{"title":"deployment remove-config","url":"r_deployment-remove-config-command.html","description":"Removes the configuration file. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxdeployment remove-config Use this command to remove the configuration file."},{"title":"deployment show-config","url":"r_deployment-show-config-command.html","description":"Displays configuration information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxdeployment show-config Use this command to view the configuration information."},{"title":"group nf-mgmt","url":"r_group-nf-mgmt-command.html","description":"Configures the NF management group parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nf-mgmt group_name nrf-mgmt-group registerGroup"},{"title":"group nf-mgmt failover","url":"r_group-nf-mgmt-failover-command.html","description":"Configures the failover SLA parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxfailover group nf-mgmt group_name failover sla failover_sla "},{"title":"group nf-mgmt reconnect","url":"r_group-nf-mgmt-reconnect-command.html","description":"Configures the reconnect interval. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxreconnect interval reconnect_interval reconnect_intervalSpecify t"},{"title":"group nrf discovery","url":"r_group-nrf-discovery-command.html","description":"Configures NRF discovery group parameters. Privilege LevelSecurity Administrator, Administrator Syntaxgroup nrf discovery group_name group_nameSpecify the discovery group name.Must be a string. Use t"},{"title":"group nrf discovery service type nrf","url":"r_group-nrf-discovery-service-type-nrf-command.html","description":"Configures the NRF discovery service type. Privilege LevelSecurity Administrator, Administrator Syntaxgroup nrf discovery group_name service type nrf nnrf-disc service_type service_typeSpecify the NR"},{"title":"group nrf discovery service type nrf endpoint-profile","url":"r_group-nrf-discovery-service-type-nrf-endpoint-profile-command.html","description":"Configures the endpoint profile parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnr"},{"title":"group nrf discovery service type nrf endpoint-profile endpoint-name","url":"r_group-nrf-discovery-service-type-nrf-endpoint-profile-endpoint-name-command.html","description":"Configures endpoint name. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-pr"},{"title":"group nrf discovery service type nrf endpoint-profile endpoint-name primary ip-address","url":"r_group-nrf-discovery-service-type-nrf-endpoint-profile-endpoint-name-primary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"group nrf discovery service type nrf endpoint-profile endpoint-name secondary ip-address","url":"r_group-nrf-discovery-service-type-nrf-endpoint-profile-endpoint-name-secondary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"group nrf discovery service type nrf endpoint-profile endpoint-name tertiary ip-address","url":"r_group-nrf-discovery-service-type-nrf-endpoint-profile-endpoint-name-tertiary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"group nrf discovery service type nrf endpoint-profile version uri-version","url":"r_group-nrf-discovery-service-type-nrf-endpoint-profile-version-uri-version-command.html","description":"Configures the URI version. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-"},{"title":"group nrf mgmt","url":"r_group-nrf-mgmt-command.html","description":"Configures the NRF management group parameters. Privilege LevelSecurity Administrator, Administrator Syntaxgroup nrf mgmt mgmt_group_name mgmt_group_nameSpecify the management group name.Must be a st"},{"title":"group nrf mgmt service type nrf","url":"r_group-nrf-mgmt-service-type-nrf-command.html","description":"Configures the NRF management service type. Privilege LevelSecurity Administrator, Administrator Syntaxgroup nrf mgmt group_name service type nrf service_name service_nameSpecify the service name.Mus"},{"title":"group nrf mgmt service type nrf endpoint-profile","url":"r_group-nrf-mgmt-service-type-nrf-endpoint-profile-command.html","description":"Configures the endpoint profile parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnr"},{"title":"group nrf mgmt service type nrf endpoint-profile endpoint-name","url":"r_group-nrf-mgmt-service-type-nrf-endpoint-profile-endpoint-name-command.html","description":"Configures endpoint name. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-pr"},{"title":"group nrf mgmt service type nrf endpoint-profile endpoint-name primary ip-address","url":"r_group-nrf-mgmt-service-type-nrf-endpoint-profile-endpoint-name-primary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"group nrf mgmt service type nrf endpoint-profile endpoint-name secondary ip-address","url":"r_group-nrf-mgmt-service-type-nrf-endpoint-profile-endpoint-name-secondary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"group nrf mgmt service type nrf endpoint-profile endpoint-name tertiary ip-address","url":"r_group-nrf-mgmt-service-type-nrf-endpoint-profile-endpoint-name-tertiary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"group nrf mgmt service type nrf endpoint-profile version uri-version","url":"r_group-nrf-mgmt-service-type-nrf-endpoint-profile-version-uri-version-command.html","description":"Configures the URI version. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-"},{"title":"profile nf-client nf-type bsf bsf-profile","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-command.html","description":"Configures the BSF profile parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxprofile nf-client nf-type bsf bsf-profile bsf_profile bsf_pro"},{"title":"profile nf-client nf-type bsf bsf-profile locality","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-command.html","description":"Configures the locality parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnf-client nf-type bsf profile nf-client nf-type bsf bsh-profile "},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-command.html","description":"Configures the BSF service type. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxprofile nf-client nf-type bsf chf-profile profile_name locality loc"},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type endpoint-profile","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-endpoint-profile-command.html","description":"Configures the endpoint profile parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnr"},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type endpoint-profile endpoint-name","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-endpoint-profile-endpoint-name-command.html","description":"Configures endpoint name. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-pr"},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type endpoint-profile endpoint-name primary ip-address","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-endpoint-profile-endpoint-name-primary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type endpoint-profile endpoint-name secondary ip-address","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-endpoint-profile-endpoint-name-secondary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type endpoint-profile endpoint-name tertiary ip-address","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-endpoint-profile-endpoint-name-tertiary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type bsf bsf-profile locality service name type endpoint-profile version uri-version","url":"r_profile-nf-client-nf-type-bsf-bsf-profile-locality-service-name-type-endpoint-profile-version-uri-version-command.html","description":"Configures the URI version. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-"},{"title":"profile nf-client nf-type chf chf-profile","url":"r_profile-nf-client-nf-type-chf-chf-profile-command.html","description":"Configures the locality for the UDR profile. Privilege LevelSecurity Administrator, Administrator Syntaxprofile nf-client nf-type chf chf-profile chf_profile chf_profile_nameSpecify the CHF profile n"},{"title":"profile nf-client nf-type chf chf-profile locality","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-command.html","description":"Configures the locality for the CHF profile. Privilege LevelSecurity Administrator, Administrator Syntaxnf-client nf-type chf profile nf-client nf-type chf chf-profile chf_profile locality locality l"},{"title":"profile nf-client nf-type chf chf-profile locality service name type","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-command.html","description":"Configures the CHF service type. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxprofile nf-client nf-type chf chf-profile profile_name locality loc"},{"title":"profile nf-client nf-type chf chf-profile locality service name type endpoint-profile","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-endpoint-profile-command.html","description":"Configures the endpoint profile parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnr"},{"title":"profile nf-client nf-type chf chf-profile locality service name type endpoint-profile endpoint-name","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-endpoint-profile-endpoint-name-command.html","description":"Configures endpoint name. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-pr"},{"title":"profile nf-client nf-type chf chf-profile locality service name type endpoint-profile endpoint-name primary ip-address","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-endpoint-profile-endpoint-name-primary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type chf chf-profile locality service name type endpoint-profile endpoint-name secondary ip-address","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-endpoint-profile-endpoint-name-secondary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type chf chf-profile locality service name type endpoint-profile endpoint-name tertiary ip-address","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-endpoint-profile-endpoint-name-tertiary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type chf chf-profile locality service name type endpoint-profile version uri-version","url":"r_profile-nf-client-nf-type-chf-chf-profile-locality-service-name-type-endpoint-profile-version-uri-version-command.html","description":"Configures the URI version. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-"},{"title":"profile nf-client nf-type udr udr-profile locality","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-command.html","description":"Configures the locality for the UDR profile. Privilege LevelSecurity Administrator, Administrator Syntaxprofile nf-client nf-type udr udr-profile udr_profile locality locality [ priority priority | s"},{"title":"profile nf-client nf-type udr udr-profile locality service name type","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-command.html","description":"Configures UDR service type. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxprofile nf-client nf-type udr udr-profile profile_name locality localit"},{"title":"profile nf-client nf-type udr udr-profile locality service name type endpoint-profile","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-endpoint-profile-command.html","description":"Configures the endpoint profile parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnr"},{"title":"profile nf-client nf-type udr udr-profile locality service name type endpoint-profile endpoint-name","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-endpoint-profile-endpoint-name-command.html","description":"Configures endpoint name. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-pr"},{"title":"profile nf-client nf-type udr udr-profile locality service name type endpoint-profile endpoint-name primary ip-address","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-endpoint-profile-endpoint-name-primary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type udr udr-profile locality service name type endpoint-profile endpoint-name secondary ip-address","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-endpoint-profile-endpoint-name-secondary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type udr udr-profile locality service name type endpoint-profile endpoint-name tertiary ip-address","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-endpoint-profile-endpoint-name-tertiary-ip-address-command.html","description":"Configures the IP address and port parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf "},{"title":"profile nf-client nf-type udr udr-profile locality service name type endpoint-profile version uri-version","url":"r_profile-nf-client-nf-type-udr-udr-profile-locality-service-name-type-endpoint-profile-version-uri-version-command.html","description":"Configures the URI version. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgroup nrf discovery discovery_group service type nrf nnrf-disc endpoint-"},{"title":"profile nf-pair nf-type","url":"r_profile-nf-pair-nf-type-command.html","description":"Configures the NF type for the NF client pair configuration. Privilege LevelSecurity Administrator, Administrator Syntaxprofile nf-pair nf-type nf_type nrf-discovery-group group_name { subscription-e"},{"title":"profile nf-pair nf-type locality","url":"r_profile-nf-pair-nf-type-locality-command.html","description":"Configures the locality parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxprofile nf-pair nf-type nf_type nrf-discovery-group group_name l"},{"title":"rest discover-cache chf","url":"r_rest-discover-cache-chf-command.html","description":"Displays PCF Discover cache for CHF. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxshow discover-cache chf nf_typeSpecify the NF type.Must be a st"},{"title":"rest discover-cache udr","url":"r_rest-discover-cache-udr-command.html","description":"Displays PCF Discover cache for UDR. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxshow discover-cache udr nf_typeSpecify the NF type.Must be a st"},{"title":"rest registration-status","url":"r_rest-registration-status-command.html","description":"Displays the NRF\u0027s registration status. Privilege LevelSecurity Administrator, Administrator Syntaxshow rest registration-status ip_addressDisplays the PCF pod IP address.Must be a string. registered"},{"title":"service-registration profile","url":"r_service-registration-profile-command.html","description":"Configures the network function profile parameters to enable discovery of the registered NFs, and when the discovery fails, the discovery is attempted on the local configuration. Privilege LevelSecur"},{"title":"service-registration profile allowed-plmns","url":"r_service-registration-profile-allowed-plmns-command.html","description":"Configures PLMNs allowed to access the network function. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration profile allowed-plmns "},{"title":"service-registration profile pcf-info","url":"r_service-registration-profile-pcf-info-command.html","description":"Configures the PCF parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration profile pcf-info { dnn-list dnn_list_name | supi"},{"title":"service-registration profile pcf-info supi-ranges","url":"r_service-registration-profile-pcf-info-supi-ranges-command.html","description":"Configures the list of SUPI ranges, which the PCF instance serves. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration profile pcf-"},{"title":"service-registration profile plmn-list","url":"r_service-registration-profile-plmn-list-command.html","description":"Configures the PLMNs of the network function. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration profile plmn-list { mcc | mnc } m"},{"title":"service-registration profile snssais","url":"r_service-registration-profile-snssais-command.html","description":"Configures the S-NSSAIs of the network function. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration profile snssais { sst | sd sd "},{"title":"service-registration services","url":"r_service-registration-services-command.html","description":"Configures the service parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration services services_name service_nameSpecify t"},{"title":"service-registration services allowed-nssais","url":"r_service-registration-services-allowed-nssais-command.html","description":"Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration services service_name allowed-nssais { sst | sd sd } sstSpecify the Slice or Se"},{"title":"service-registration services allowed-plmns","url":"r_service-registration-services-allowed-plmns-command.html","description":"Configures the PLMN parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxservice-registration services service_name allowed-plmns { mcc | mnc"},{"title":"subscriber session","url":"r_subscriber-session-command.html","description":"Displays subscriber session information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxsubscriber session [ imsi imsi | msisdn msisdn ] imsi imsiSpecify the IMSI.Must be"}]},{"title":"Ports and Services Reference Information","url":"g_chap-ports-services.html","children":[{"title":"Ports and Services","url":"r_ports-services.html","description":"PCF uses different ports for communication purposes. The following table describes the default ports and the associated services. Ports and Services Port Service Usage 22 SSH SMI uses this port to co"}]}]},{"title":"API Reference","url":"g_part2-api-reference.html","description":"The PCF framework includes YAML files that contain the configuration information for optimally exploiting the policy capabilities. Review the configurations and parameters in the YAML files and modif","children":[{"title":"Npcf_AMPolicyControl","url":"g_npcf-ampolicycontrol.html","description":"The PCF uses the Npcf_AMPolicyControl API to communicate with the Access and Mobility Management Function (AMF) over the N15 Interface.","children":[{"title":"OpenAPI","url":"r_openapi_2_3_4.html","description":"OpenAPI Version: 3.0.0"},{"title":"info","url":"r_info_2.html","description":"Description: Access and Mobility Policy Control Service API Version: \u00221.0.0\u0022 Title: Npcf_AMPolicyControl"},{"title":"externalDocs","url":"r_externaldocs_2.html","description":"Description: 3GPP TS 29.507 V15.2.0; 5G System; Access and Mobility Policy Control Service. URL: \u0027http://www.3gpp.org/ftp/Specs/archive/29_series/29.507/\u0027"},{"title":"servers","url":"r_servers_2_3.html","description":"URL: \u0027{apiRoot}/npcf-am-policy-control/v1\u0027 Variables: API Root: Default: https://example.com Description: apiRoot as defined in subclause subclause 4.4 of 3GPP TS 29.501"},{"title":"security","url":"r_security_2_3.html","description":"- {} - oAuth2ClientCredentials: - npcf-am-policy-control"},{"title":"paths","url":"r_paths.html","children":[{"title":"/policies","url":"r_policies.html","description":"Method: Post Request Body: Required/Optional: true Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/PolicyAssociationRequest\u0027 Responses: \u0027201\u0027 Created Content: Application/JSON: Sc"},{"title":"/policies/{polAssoId}","url":"r_policies-polassoid.html","description":"get: Parameters: - name: polAssoId In: path Description: Identifier of a policy association Required/Optional: true Schema: Type: string Responses: \u0027200\u0027 OK. Resource representation is returned Conte"},{"title":"/policies/{polAssoId}/update","url":"r_policies-polassoid-update.html","description":"Method: Post Request Body: Required/Optional: true Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/PolicyAssociationUpdateRequest\u0027 Parameters: - name: polAssoId In: path Descripti"}]},{"title":"components","url":"r_components_2.html","children":[{"title":"securitySchemes","url":"r_securityschemes_2.html","children":[{"title":"oAuth2ClientCredentials","url":"r_oauth2clientcredentials.html","description":"Type: oauth2 Flows: clientCredentials: tokenUrl: \u0027{nrfApiRoot}/oauth2/token\u0027 scopes: npcf-am-policy-control: Access to the Npcf_AMPolicyControl API"}]},{"title":"schemas","url":"r_schemas_2_3.html","children":[{"title":"PolicyAssociation","url":"r_policyassociation.html","description":"Type: object Properties: request: Reference: \u0027#/components/schemas/PolicyAssociationRequest\u0027 triggers: Type: array Items: Reference: \u0027#/components/schemas/RequestTrigger\u0027 minItems: 1 Description: Req"},{"title":"PolicyAssociationRequest","url":"r_policyassociationrequest.html","description":"Type: object Properties: notificationUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 altNotifIpv4Addrs: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ip"},{"title":"PolicyAssociationUpdateRequest","url":"r_policyassociationupdaterequest.html","description":"Type: object Properties: notificationUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 altNotifIpv4Addrs: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ip"},{"title":"PolicyUpdate","url":"r_policyupdate.html","description":"Type: object Properties: resourceUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 triggers: Type: array Items: Reference: \u0027#/components/schemas/RequestTrigger\u0027 minItems: 1 nullable: "},{"title":"TerminationNotification","url":"r_terminationnotification_2.html","description":"Type: object Properties: resourceUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 cause: Reference: \u0027#/components/schemas/PolicyAssociationReleaseCause\u0027 Required: - resourceUri - cau"},{"title":"RequestTrigger","url":"r_requesttrigger.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"PolicyAssociationReleaseCause","url":"r_policyassociationreleasecause.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"}]}]}]},{"title":"Nnrf_NFDiscovery","url":"g_nnrf-nfdiscovery.html","description":"The Network Repository Function authorizes an NF client to perform the discovery operation using the Nnrf_NFDiscovery service to detect an NF.","children":[{"title":"OpenAPI","url":"r_openapi_2.html","description":"OpenAPI Version: 3.0.0"},{"title":"info","url":"r_info_2_3_4_5_6.html","description":"Version: \u00271.0.0\u0027 Title: \u0027NRF NFDiscovery Service\u0027 Description: \u0027NRF NFDiscovery Service\u0027"},{"title":"servers","url":"r_servers_2.html","description":"URL: \u0027{apiRoot}/nnrf-disc/v1\u0027 Variables: API Root: Default: https://example.com Description: apiRoot as defined in subclause subclause 4.4 of 3GPP TS 29.501"},{"title":"security","url":"r_security_2_3_4_5.html","description":"- {} - oAuth2ClientCredentials: - nnrf-disc"},{"title":"paths","url":"r_paths_2.html","children":[{"title":"/nf-instances","url":"r_nf-instances_2.html","description":"get: Summary: Search a collection of NF Instances Operation ID: SearchNFInstances Tags: - NF Instances (Store) Parameters: - name: target-nf-type In: query Description: Type of the target NF Required"}]},{"title":"components","url":"r_components.html","children":[{"title":"securitySchemes","url":"r_securityschemes_2_3_4_5.html","children":[{"title":"oAuth2ClientCredentials","url":"r_oauth2clientcredentials_2_3.html","description":"Type: oauth2 Flows: clientCredentials: tokenUrl: \u0027/oauth2/token\u0027 scopes: nnrf-disc: Access to the Nnrf_NFDiscovery API"}]},{"title":"schemas","url":"r_schemas.html","children":[{"title":"SearchResult","url":"r_searchresult.html","description":"Type: object Required: - nfInstances Properties: validityPeriod: Type: integer nfInstances: Type: array Items: Reference: \u0027#/components/schemas/NFProfile\u0027"},{"title":"NFProfile","url":"r_nfprofile.html","description":"Type: object Required: - nfInstanceId - nfType - nfStatus Properties: nfInstanceId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NfInstanceId\u0027 nfType: Reference: \u0027TS29510_Nnrf_NFManagement"},{"title":"NFService","url":"r_nfservice_2.html","description":"Type: object Required: - serviceInstanceId - serviceName - versions - scheme - nfServiceStatus Properties: serviceInstanceId: Type: string serviceName: Reference: \u0027TS29510_Nnrf_NFManagement.yaml#/com"}]}]},{"title":"externalDocs","url":"r_externaldocs_2_3_4_5.html","description":"Description: 3GPP TS 29.510 V15.2.0; 5G System; Network Function Repository Services; Stage 3 URL: \u0027http://www.3gpp.org/ftp/Specs/archive/29_series/29.510/\u0027"}]},{"title":"Nnrf_NFManagement","url":"g_nnrf-nfmanagement.html","description":"The Network Repository Function uses the Nnrf_NFManagement service to manage the create, update, and delete an NF.","children":[{"title":"OpenAPI","url":"r_openapi_2_3_4_5.html","description":"OpenAPI Version: 3.0.0"},{"title":"info","url":"r_info_2_3.html","description":"Version: \u00271.0.0\u0027 Title: \u0027NRF NFManagement Service\u0027 Description: \u0027NRF NFManagement Service\u0027"},{"title":"servers","url":"r_servers_2_3_4_5_6.html","description":"URL: \u0027{apiRoot}/nnrf-nfm/v1\u0027 Variables: API Root: Default: https://example.com Description: apiRoot as defined in subclause subclause 4.4 of 3GPP TS 29.501"},{"title":"security","url":"r_security.html","description":"- {} - oAuth2ClientCredentials: - nnrf-nfm"},{"title":"paths","url":"r_paths_2_3_4.html","children":[{"title":"/nf-instances","url":"r_nf-instances.html","description":"get: Summary: Retrieves a collection of NF Instances Operation ID: GetNFInstances Tags: - NF Instances (Store) Parameters: - name: nf-type In: query Description: Type of NF Required/Optional: false S"},{"title":"/nf-instances/{nfInstanceID}","url":"r_nf-instances-nfinstanceid.html","description":"get: Summary: Read the profile of a given NF Instance Operation ID: GetNFInstance Tags: - NF Instance ID (Document) Parameters: - name: nfInstanceID In: path Description: Unique ID of the NF Instance"},{"title":"/subscriptions","url":"r_subscriptions.html","description":"Method: Post Summary: Create a new subscription Operation ID: CreateSubscription Tags: - Subscriptions (Collection) Request Body: Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/S"},{"title":"/subscriptions/{subscriptionID}","url":"r_subscriptions-subscriptionid_2.html","description":"patch: Summary: Updates a subscription Operation ID: UpdateSubscription Tags: - Subscription ID (Document) Parameters: - name: subscriptionID In: path Required/Optional: true Description: Unique ID o"}]},{"title":"components","url":"r_components_2_3_4_5_6.html","children":[{"title":"securitySchemes","url":"r_securityschemes_2_3_4.html","children":[{"title":"oAuth2ClientCredentials","url":"r_oauth2clientcredentials_2_3_4_5.html","description":"Type: oauth2 Flows: clientCredentials: tokenUrl: \u0027/oauth2/token\u0027 scopes: nnrf-nfm: Access to the Nnrf_NFManagement API"}]},{"title":"schemas","url":"r_schemas_2_3_4.html","children":[{"title":"NFProfile","url":"r_nfprofile_2.html","description":"Type: object Required: - nfInstanceId - nfType - nfStatus anyOf: - required: [ fqdn ] - required: [ ipv4Addresses ] - required: [ ipv6Addresses ] Properties: nfInstanceId: Reference: \u0027TS29571_CommonD"},{"title":"NFService","url":"r_nfservice.html","description":"Type: object Required: - serviceInstanceId - serviceName - versions - scheme - nfServiceStatus Properties: serviceInstanceId: Type: string serviceName: Reference: \u0027#/components/schemas/ServiceName\u0027 v"},{"title":"NFType","url":"r_nftype.html","description":"anyOf: - type: string enum: - NRF - UDM - AMF - SMF - AUSF - NEF - PCF - SMSF - NSSF - UDR - LMF - GMLC - 5G_EIR - SEPP - UPF - N3IWF - AF - UDSF - BSF - CHF - NWDAF - type: string"},{"title":"Fqdn","url":"r_fqdn.html","description":"Type: string"},{"title":"IpEndPoint","url":"r_ipendpoint.html","description":"Type: object Properties: ipv4Address: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv4Addr\u0027 ipv6Address: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv6Addr\u0027 transport: Refer"},{"title":"SubscriptionData","url":"r_subscriptiondata.html","description":"Type: object Required: - nfStatusNotificationUri - subscriptionId Properties: nfStatusNotificationUri: Type: string subscrCond: oneOf: - $ref: \u0027#/components/schemas/NfInstanceIdCond\u0027 - $ref: \u0027#/compo"},{"title":"NfInstanceIdCond","url":"r_nfinstanceidcond.html","description":"Type: object Required: - nfInstanceId Properties: nfInstanceId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NfInstanceId\u0027"},{"title":"NfTypeCond","url":"r_nftypecond.html","description":"Type: object Required: - nfType Properties: nfType: Reference: \u0027#/components/schemas/NFType\u0027"},{"title":"ServiceNameCond","url":"r_servicenamecond.html","description":"Type: object Required: - serviceName Properties: serviceName: Reference: \u0027#/components/schemas/ServiceName\u0027"},{"title":"AmfCond","url":"r_amfcond.html","description":"Type: object anyOf: - required: [ amfSetId ] - required: [ amfRegionId ] Properties: amfSetId: Type: string amfRegionId: Type: string"},{"title":"GuamiListCond","url":"r_guamilistcond.html","description":"Type: object Required: - guamiList Properties: guamiList: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Guami\u0027"},{"title":"NetworkSliceCond","url":"r_networkslicecond.html","description":"Type: object Required: - snssaiList Properties: snssaiList: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Snssai\u0027 nsiList: Type: array Items: Type: string"},{"title":"NfGroupCond","url":"r_nfgroupcond.html","description":"Type: object Required: - nfType - nfGroupId Properties: nfType: Type: string enum: - UDM - AUSF - UDR nfGroupId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NfGroupId\u0027"},{"title":"NotifCondition","url":"r_notifcondition.html","description":"Type: object not: Required: [ monitoredAttributes, unmonitoredAttributes ] Properties: monitoredAttributes: Type: array Items: Type: string minItems: 1 unmonitoredAttributes: Type: array Items: Type:"},{"title":"UdrInfo","url":"r_udrinfo.html","description":"Type: object Properties: groupId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NfGroupId\u0027 supiRanges: Type: array Items: Reference: \u0027#/components/schemas/SupiRange\u0027 minItems: 1 gpsiRanges:"},{"title":"SupiRange","url":"r_supirange.html","description":"Type: object Properties: start: Type: string Pattern: \u0027^[0-9]+$\u0027 end: Type: string Pattern: \u0027^[0-9]+$\u0027 Pattern: Type: string"},{"title":"IdentityRange","url":"r_identityrange.html","description":"Type: object Properties: start: Type: string Pattern: \u0027^[0-9]+$\u0027 end: Type: string Pattern: \u0027^[0-9]+$\u0027 Pattern: Type: string"},{"title":"DataSetId","url":"r_datasetid.html","description":"anyOf: - type: string enum: - SUBSCRIPTION - POLICY - EXPOSURE - APPLICATION - type: string"},{"title":"UdmInfo","url":"r_udminfo.html","description":"Type: object Properties: groupId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NfGroupId\u0027 supiRanges: Type: array Items: Reference: \u0027#/components/schemas/SupiRange\u0027 minItems: 1 gpsiRanges:"},{"title":"AusfInfo","url":"r_ausfinfo.html","description":"Type: object Properties: groupId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NfGroupId\u0027 supiRanges: Type: array Items: Reference: \u0027#/components/schemas/SupiRange\u0027 minItems: 1 routingIndi"},{"title":"AmfInfo","url":"r_amfinfo.html","description":"Type: object Required: - amfSetId - amfRegionId - guamiList Properties: amfSetId: Type: string amfRegionId: Type: string guamiList: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/"},{"title":"SmfInfo","url":"r_smfinfo.html","description":"Type: object Required: - sNssaiSmfInfoList Properties: sNssaiSmfInfoList: Type: array Items: Reference: \u0027#/components/schemas/SnssaiSmfInfoItem\u0027 minItems: 1 taiList: Type: array Items: Reference: \u0027TS"},{"title":"SnssaiSmfInfoItem","url":"r_snssaismfinfoitem.html","description":"Type: object Required: - sNssai - dnnSmfInfoList Properties: sNssai: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Snssai\u0027 dnnSmfInfoList: Type: array Items: Reference: \u0027#/components/schema"},{"title":"DnnSmfInfoItem","url":"r_dnnsmfinfoitem.html","description":"Type: object Required: - dnn Properties: dnn: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Dnn\u0027"},{"title":"UpfInfo","url":"r_upfinfo.html","description":"Type: object Required: - sNssaiUpfInfoList Properties: sNssaiUpfInfoList: Type: array Items: Reference: \u0027#/components/schemas/SnssaiUpfInfoItem\u0027 minItems: 1 smfServingArea: Type: array Items: Type: s"},{"title":"SnssaiUpfInfoItem","url":"r_snssaiupfinfoitem.html","description":"Type: object Required: - sNssai - dnnUpfInfoList Properties: sNssai: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Snssai\u0027 dnnUpfInfoList: Type: array Items: Reference: \u0027#/components/schema"},{"title":"DnnUpfInfoItem","url":"r_dnnupfinfoitem.html","description":"Type: object Required: - dnn Properties: dnn: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Dnn\u0027 dnaiList: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Dnai\u0027 m"},{"title":"InterfaceUpfInfoItem","url":"r_interfaceupfinfoitem.html","description":"Type: object Required: - interfaceType Properties: interfaceType: Reference: \u0027#/components/schemas/UPInterfaceType\u0027 ipv4EndpointAddresses: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/comp"},{"title":"UPInterfaceType","url":"r_upinterfacetype.html","description":"anyOf: - type: string enum: - N3 - N6 - N9 - type: string"},{"title":"PcfInfo","url":"r_pcfinfo.html","description":"Type: object Properties: dnnList: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Dnn\u0027 minItems: 1 supiRanges: Type: array Items: Reference: \u0027#/components/schemas/SupiRange"},{"title":"BsfInfo","url":"r_bsfinfo.html","description":"Type: object Properties: dnnList: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Dnn\u0027 minItems: 1 ipDomainList: Type: array Items: Type: string minItems: 1 ipv4AddressRang"},{"title":"ChfInfo","url":"r_chfinfo.html","description":"Type: object Properties: supiRangeList: Type: array Items: Reference: \u0027#/components/schemas/SupiRange\u0027 minItems: 1 gpsiRangeList: Type: array Items: Reference: \u0027#/components/schemas/IdentityRange\u0027 mi"},{"title":"Ipv4AddressRange","url":"r_ipv4addressrange.html","description":"Type: object Properties: start: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv4Addr\u0027 end: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv4Addr\u0027"},{"title":"Ipv6PrefixRange","url":"r_ipv6prefixrange.html","description":"Type: object Properties: start: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv6Prefix\u0027 end: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv6Prefix\u0027"},{"title":"DefaultNotificationSubscription","url":"r_defaultnotificationsubscription.html","description":"Type: object Required: - notificationType - callbackUri Properties: notificationType: Reference: \u0027#/components/schemas/NotificationType\u0027 callbackUri: Reference: \u0027TS29571_CommonData.yaml#/components/s"},{"title":"NotificationType","url":"r_notificationtype.html","description":"anyOf: - type: string enum: - N1_MESSAGES - N2_INFORMATION - LOCATION_NOTIFICATION - DATA_REMOVAL_NOTIFICATION - DATA_CHANGE_NOTIFICATION - type: string"},{"title":"TransportProtocol","url":"r_transportprotocol.html","description":"anyOf: - type: string enum: - TCP - type: string"},{"title":"NotificationEventType","url":"r_notificationeventtype.html","description":"anyOf: - type: string enum: - NF_REGISTERED - NF_DEREGISTERED - NF_PROFILE_CHANGED - type: string"},{"title":"NotificationData","url":"r_notificationdata.html","description":"Type: object Required: - event - nfInstanceUri allOf: - anyOf: - not: Properties: event: Type: string enum: - NF_PROFILE_CHANGED - oneOf: - required: [ nfProfile ] - required: [ profileChanges ] - an"},{"title":"NFStatus","url":"r_nfstatus.html","description":"anyOf: - type: string enum: - REGISTERED - SUSPENDED - type: string"},{"title":"NFServiceVersion","url":"r_nfserviceversion.html","description":"Type: object Required: - apiVersionInUri - apiFullVersion Properties: apiVersionInUri: Type: string apiFullVersion: Type: string expiry: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/DateTi"},{"title":"ServiceName","url":"r_servicename.html","description":"anyOf: - type: string enum: - nnrf-nfm - nnrf-disc - nudm-sdm - nudm-uecm - nudm-ueau - nudm-ee - nudm-pp - namf-comm - namf-evts - namf-mt - namf-loc - nsmf-pdusession - nsmf-event-exposure - nausf-"},{"title":"N2InterfaceAmfInfo","url":"r_n2interfaceamfinfo.html","description":"Type: object Properties: ipv4EndpointAddress: Type: array Items: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ipv4Addr\u0027 minItems: 1 ipv6EndpointAddress: Type: array Items: Reference: \u0027TS29"},{"title":"NFServiceStatus","url":"r_nfservicestatus.html","description":"anyOf: - type: string enum: - REGISTERED - SUSPENDED - type: string"},{"title":"TaiRange","url":"r_tairange.html","description":"Type: object Required: - plmnId - tacRangeList Properties: plmnId: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/PlmnId\u0027 tacRangeList: Type: array Items: Reference: \u0027#/components/schemas/Ta"},{"title":"TacRange","url":"r_tacrange.html","description":"Type: object Properties: start: Type: string Pattern: \u0027^([A-Fa-f0-9]{4}|[A-Fa-f0-9]{6})$\u0027 end: Type: string Pattern: \u0027^([A-Fa-f0-9]{4}|[A-Fa-f0-9]{6})$\u0027 Pattern: Type: string"},{"title":"ChfServiceInfo","url":"r_chfserviceinfo.html","description":"Type: object not: Required: [ primaryChfServiceInstance, secondaryChfServiceInstance ] Properties: primaryChfServiceInstance: Type: string secondaryChfServiceInstance: Type: string"},{"title":"PlmnRange","url":"r_plmnrange.html","description":"Type: object Properties: start: Type: string Pattern: \u0027^[0-9]{3}[0-9]{2,3}$\u0027 end: Type: string Pattern: \u0027^[0-9]{3}[0-9]{2,3}$\u0027 Pattern: Type: string"},{"title":"NrfInfo","url":"r_nrfinfo.html","description":"Type: object Properties: servedUdrInfo: Type: object additionalProperties: Reference: \u0027#/components/schemas/UdrInfo\u0027 minProperties: 1 servedUdmInfo: Type: object additionalProperties: Reference: \u0027#/c"}]}]},{"title":"externalDocs","url":"r_externaldocs_2_3.html","description":"Description: 3GPP TS 29.510 V15.2.0; 5G System; Network Function Repository Services; Stage 3 URL: \u0027http://www.3gpp.org/ftp/Specs/archive/29_series/29.510/\u0027"}]},{"title":"Npcf_SMPolicyControl","url":"g_npcf-smpolicycontrol.html","description":"The Policy Control Function (PCF) uses the Npcf_SMPolicyControl service to create, update, and delete requests on the SMF.","children":[{"title":"OpenAPI","url":"r_openapi_2_3.html","description":"OpenAPI Version: 3.0.0"},{"title":"info","url":"r_info_2_3_4.html","description":"Description: Session Management Policy Control Service Version: \u00221.0.0\u0022 Title: Npcf_SMPolicyControl"},{"title":"externalDocs","url":"r_externaldocs_2_3_4_5_6.html","description":"Description: 3GPP TS 29.512 V15.2.0; 5G System; Session Management Policy Control Service. URL: \u0027http://www.3gpp.org/ftp/Specs/archive/29_series/29.512/\u0027"},{"title":"security","url":"r_security_2_3_4.html","description":"- {} - oAuth2Clientcredentials: - npcf-smpolicycontrol"},{"title":"servers","url":"r_servers_2_3_4_5.html","description":"URL: \u0027{apiRoot}/npcf-smpolicycontrol/v1\u0027 Variables: API Root: Default: https://example.com Description: apiRoot as defined in subclause 4.4 of 3GPP TS 29.501"},{"title":"paths","url":"r_paths_2_3_4_5.html","children":[{"title":"/sm-policies","url":"r_sm-policies.html","description":"Method: Post Request Body: Required/Optional: true Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/SmPolicyContextData\u0027 Responses: \u0027201\u0027 Created Content: Application/JSON: Schema:"},{"title":"/sm-policies/{smPolicyId}","url":"r_sm-policies-smpolicyid.html","description":"get: Parameters: - name: smPolicyId In: path Description: Identifier of a policy association Required/Optional: true Schema: Type: string Responses: \u0027200\u0027 OK. Resource representation is returned Cont"},{"title":"/sm-policies/{smPolicyId}/update","url":"r_sm-policies-smpolicyid-update.html","description":"Method: Post Request Body: Required/Optional: true Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/SmPolicyUpdateContextData\u0027 Parameters: - name: smPolicyId In: path Description: "},{"title":"/sm-policies/{smPolicyId}/delete","url":"r_sm-policies-smpolicyid-delete.html","description":"Method: Post Request Body: Required/Optional: true Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/SmPolicyDeleteData\u0027 Parameters: - name: smPolicyId In: path Description: Identif"}]},{"title":"components","url":"r_components_2_3_4_5.html","children":[{"title":"securitySchemes","url":"r_securityschemes_2_3_4_5_6.html","children":[{"title":"oAuth2ClientCredentials","url":"r_oauth2clientcredentials_2_3_4_5_6.html","description":"Type: oauth2 Flows: clientCredentials: tokenUrl: \u0027{nrfApiRoot}/oauth2/token\u0027 scopes: npcf-smpolicycontrol: Access to the Npcf_SMPolicyControl API"}]},{"title":"schemas","url":"r_schemas_2_3_4_5.html","children":[{"title":"SmPolicyControl","url":"r_smpolicycontrol.html","description":"Type: object Properties: context: Reference: \u0027#/components/schemas/SmPolicyContextData\u0027 policy: Reference: \u0027#/components/schemas/SmPolicyDecision\u0027 Required: - context - policy"},{"title":"SmPolicyContextData","url":"r_smpolicycontextdata.html","description":"Type: object Properties: accNetChId: Reference: \u0027#/components/schemas/AccNetChId\u0027 chargEntityAddr: Reference: \u0027#/components/schemas/AccNetChargingAddress\u0027 gpsi: Reference: \u0027TS29571_CommonData.yaml#/c"},{"title":"SmPolicyDecision","url":"r_smpolicydecision.html","description":"Type: object Properties: sessRules: Type: object additionalProperties: Reference: \u0027#/components/schemas/SessionRule\u0027 minProperties: 1 Description: A map of Sessionrules with the content being the Ses"},{"title":"SmPolicyNotification","url":"r_smpolicynotification.html","description":"Type: object Properties: resourceUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 smPolicyDecision: Reference: \u0027#/components/schemas/SmPolicyDecision\u0027"},{"title":"PccRule","url":"r_pccrule.html","description":"Type: object Properties: flowInfos: Type: array Items: Reference: \u0027#/components/schemas/FlowInformation\u0027 minItems: 1 Description: An array of IP flow packet filter information. appId: Type: string De"},{"title":"SessionRule","url":"r_sessionrule.html","description":"Type: object Properties: authSessAmbr: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Ambr\u0027 authDefQos: Reference: \u0027#/components/schemas/AuthorizedDefaultQos\u0027 sessRuleId: Type: string Descri"},{"title":"QosData","url":"r_qosdata.html","description":"Type: object Properties: qosId: Type: string Description: Univocally identifies the QoS control policy data within a PDU session. 5qi: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/5Qi\u0027 max"},{"title":"ConditionData","url":"r_conditiondata.html","description":"Type: object Properties: condId: Type: string Description: Uniquely identifies the condition data within a PDU session. activationTime: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/DateTim"},{"title":"TrafficControlData","url":"r_trafficcontroldata.html","description":"Type: object Properties: tcId: Type: string Description: Univocally identifies the traffic control policy data within a PDU session. flowStatus: Reference: \u0027TS29514_Npcf_PolicyAuthorization.yaml#/com"},{"title":"ChargingData","url":"r_chargingdata.html","description":"Type: object Properties: chgId: Type: string Description: Univocally identifies the charging control policy data within a PDU session. meteringMethod: Reference: \u0027#/components/schemas/MeteringMethod\u0027"},{"title":"UsageMonitoringData","url":"r_usagemonitoringdata.html","description":"Type: object Properties: umId: Type: string Description: Univocally identifies the usage monitoring policy data within a PDU session. volumeThreshold: Reference: \u0027TS29122_CommonData.yaml#/components/"},{"title":"RedirectInformation","url":"r_redirectinformation.html","description":"Type: object Properties: redirectEnabled: Type: boolean Description: Indicates the redirect is enable. redirectAddressType: Reference: \u0027#/components/schemas/RedirectAddressType\u0027 redirectServerAddress"},{"title":"FlowInformation","url":"r_flowinformation.html","description":"Type: object Properties: flowDescription: Reference: \u0027#/components/schemas/FlowDescription\u0027 ethFlowDescription: Reference: \u0027TS29514_Npcf_PolicyAuthorization.yaml#/components/schemas/EthFlowDescriptio"},{"title":"SmPolicyDeleteData","url":"r_smpolicydeletedata.html","description":"Type: object Properties: userLocationInfo: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/UserLocation\u0027 ueTimeZone: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/TimeZone\u0027 servingN"},{"title":"QosCharacteristics","url":"r_qoscharacteristics.html","description":"Type: object Properties: 5qi: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/5Qi\u0027 resourceType: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/QosResourceType\u0027 priorityLevel: Refere"},{"title":"ChargingInformation","url":"r_charginginformation.html","description":"Type: object Properties: primaryChfAddress: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 secondaryChfAddress: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 Required: - "},{"title":"AccuUsageReport","url":"r_accuusagereport.html","description":"Type: object Properties: refUmIds: Type: string Description: An id referencing UsageMonitoringData objects associated with this usage report. volUsage: Reference: \u0027TS29122_CommonData.yaml#/components"},{"title":"SmPolicyUpdateContextData","url":"r_smpolicyupdatecontextdata.html","description":"Type: object Properties: repPolicyCtrlReqTriggers: Type: array Items: Reference: \u0027#/components/schemas/PolicyControlRequestTrigger\u0027 minItems: 1 Description: The policy control reqeust trigges which a"},{"title":"UpPathChgEvent","url":"r_uppathchgevent.html","description":"Type: object Properties: notificationUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 notifCorreId: Type: string Description: It is used to set the value of Notification Correlation "},{"title":"TerminationNotification","url":"r_terminationnotification.html","description":"Type: object Properties: resourceUri: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uri\u0027 cause: Reference: \u0027TS29507_Npcf_AMPolicyControl.yaml#/components/schemas/PolicyAssociationReleaseCau"},{"title":"AccNetChId","url":"r_accnetchid.html","description":"Type: object Properties: accNetChaIdValue: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/ChargingId\u0027 refPccRuleIds: Type: array Items: Type: string minItems: 1 Description: Contains the ide"},{"title":"AccNetChargingAddress","url":"r_accnetchargingaddress.html","description":"Description: Describes the network entity within the access network performing charging Type: object anyOf: - required: [anChargIpv4Addr] - required: [anChargIpv6Addr] Properties: anChargIpv4Addr: Re"},{"title":"RequestedRuleData","url":"r_requestedruledata.html","description":"Type: object Properties: refPccRuleIds: Type: array Items: Type: string minItems: 1 Description: An array of PCC rule id references to the PCC rules associated with the control data. reqData: Type: a"},{"title":"RequestedUsageData","url":"r_requestedusagedata.html","description":"Type: object Properties: refUmIds: Type: array Items: Type: string minItems: 1 Description: An array of usage monitoring data id references to the usage monitoring data instances for which the PCF is"},{"title":"UeCampingRep","url":"r_uecampingrep.html","description":"Type: object Properties: accessType: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/AccessType\u0027 Description: The Access Type where the served UE is camping ratType: Reference: \u0027TS29571_Commo"},{"title":"RuleReport","url":"r_rulereport.html","description":"Type: object Properties: pccRuleIds: Type: array Items: Type: string minItems: 1 Description: Contains the identifier of the affected PCC rule(s). ruleStatus: Reference: \u0027#/components/schemas/RuleSta"},{"title":"RanNasRelCause","url":"r_rannasrelcause.html","description":"Type: object Properties: ngApCause: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/NgApCause\u0027 Description: Indicate the cause value for NGAP protocol. 5gMmCause: Reference: \u0027TS29571_CommonDa"},{"title":"UeInitiatedResourceRequest","url":"r_ueinitiatedresourcerequest.html","description":"Type: object Properties: packFiltOp: Reference: \u0027#/components/schemas/PacketFilterOperation\u0027 Description: Indicates a UE requests specific QoS handling for selected SDF. packFiltInfo: Type: array Ite"},{"title":"PacketFilterInfo","url":"r_packetfilterinfo.html","description":"Type: object Properties: packFiltId: Type: string Description: An identifier of packet filter. precedence: Type: integer Description: The requested order for the PCC rule generated fromt the packet f"},{"title":"RequestedQos","url":"r_requestedqos.html","description":"Type: object Properties: 5qi: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/5Qi\u0027 Description: Identifier for the authorized QoS parameters for the service data flow. gbrUl: Reference: \u0027TS29"},{"title":"QosNotificationControlInfo","url":"r_qosnotificationcontrolinfo.html","description":"Type: object Properties: refPccRuleIds: Type: array Items: Type: string minItems: 1 Description: An array of PCC rule id references to the PCC rules associated with the QoS notification control info."},{"title":"PartialSuccessReport","url":"r_partialsuccessreport.html","description":"Type: object Properties: failureCause: Type: string Description: Application error cause specific to this report. ruleReports: Type: array Items: Reference: \u0027#/components/schemas/RuleReport\u0027 minItems"},{"title":"AuthorizedDefaultQos","url":"r_authorizeddefaultqos.html","description":"Type: object Properties: 5qi: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/5Qi\u0027 Description: Identifier for the 5QI. arp: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Arp\u0027 prior"},{"title":"ErrorReport","url":"r_errorreport.html","description":"Type: object Properties: error: Reference: \u0027TS29571_CommonData.yaml#/components/schemas/ProblemDetails\u0027 ruleReports: Type: array Items: Reference: \u0027#/components/schemas/RuleReport\u0027 minItems: 1 Descri"},{"title":"5GSmCause","url":"r_5gsmcause.html","description":"Reference: \u0027TS29571_CommonData.yaml#/components/schemas/Uinteger\u0027 Description: Indicating the cause value of 5GSM protocol."},{"title":"PacketFilterContent","url":"r_packetfiltercontent.html","description":"Type: string Description: Defines a packet filter for an IP flow.Refer to subclause 5.3.54 of 3GPP TS 29.212 [23] for encoding."},{"title":"FlowDescription","url":"r_flowdescription.html","description":"Type: string Description: Defines a packet filter for an IP flow.Refer to subclause 5.4.2 of 3GPP TS 29.212 [23] for encoding."},{"title":"FlowDirection","url":"r_flowdirection.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"FlowDirectionRm","url":"r_flowdirectionrm.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"ReportingLevel","url":"r_reportinglevel.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"MeteringMethod","url":"r_meteringmethod.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"PolicyControlRequestTrigger","url":"r_policycontrolrequesttrigger.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"RequestedRuleDataType","url":"r_requestedruledatatype.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"RuleStatus","url":"r_rulestatus.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"FailureCode","url":"r_failurecode.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"AfSigProtocol","url":"r_afsigprotocol.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"PacketFilterOperation","url":"r_packetfilteroperation.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"RedirectAddressType","url":"r_redirectaddresstype.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"},{"title":"QosFlowUsage","url":"r_qosflowusage.html","description":"anyOf: - type: string This string provides forward-compatibility with future extensions to the enumeration but is not used to encode content defined in the present version of this API. Possible value"}]}]}]},{"title":"Nchf_SpendingLimitControl","url":"g_nchf-spendinglimitcontrol.html","description":"The Nchf_SpendingLimitControl service enables the NF service consumer to retrieve policy counter status information per UE from the CHF by subscribing to spending limit reporting (that is notificatio","children":[{"title":"OpenAPI","url":"r_openapi_2_3_4_5_6.html","description":"OpenAPI Version: 3.0.0"},{"title":"info","url":"r_info.html","description":"Description: Spending Limit Control Service API Version: \u00221.0.0\u0022 Title: Nchf_SpendingLimitControl"},{"title":"externalDocs","url":"r_externaldocs_2_3_4.html","description":"Description: 3GPP TS 29.594 V15.2.0; 5G System; Spending Limit Control Service. URL: \u0027http://www.3gpp.org/ftp/Specs/archive/29_series/29.594/\u0027"},{"title":"security","url":"r_security_2.html","description":"- {} - oAuth2ClientCredentials: - nchf-spendinglimitcontrol"},{"title":"servers","url":"r_servers.html","description":"URL: \u0027http://{apiRoot}/nchf-spendinglimitcontrol/v1\u0027 Variables: API Root: Default: https://example.com Description: apiRoot as defined in subclause subclause 4.4 of 3GPP TS 29.501"},{"title":"paths","url":"r_paths_2_3.html","children":[{"title":"/subscriptions","url":"r_subscriptions_2.html","description":"Method: Post Request Body: Required/Optional: true Content: Application/JSON: Schema: Reference: \u0027#/components/schemas/SpendingLimitContext\u0027 Responses: \u0027201\u0027 Success Content: Application/JSON: Schema"},{"title":"/subscriptions/{subscriptionId}","url":"r_subscriptions-subscriptionid.html","description":"Parameters: - in: path name: subscriptionId Description: Identifies an individual spending limit retrieval subscription. Required/Optional: true Schema: Type: string put: Request Body: Required/Optio"}]},{"title":"components","url":"r_components_2_3_4_5_6_7.html","children":[{"title":"securitySchemes","url":"r_securityschemes_2_3.html","children":[{"title":"oAuth2ClientCredentials","url":"r_oauth2clientcredentials_2.html","description":"Type: oauth2 Flows: clientCredentials: tokenUrl: \u0027{nrfApiRoot}/oauth2/token\u0027 scopes: nchf-spendinglimitcontrol: Access to the Nchf_SpendingLimitControl API"}]},{"title":"schemas","url":"r_schemas_2.html","children":[{"title":"SpendingLimitContext","url":"r_spendinglimitcontext.html","description":"Type: object Properties: supi: Description: The Subscription Permanent Identifier (Supi) shall be present within the initial spending limit retrieval procedure (creation of a new individual subscript"},{"title":"SpendingLimitStatus","url":"r_spendinglimitstatus.html","description":"Type: object Properties: supi: Description: The Subscription Permanent Identifier (Supi) shall be present within the callback notify service operation (notification of the status of subscribed policy"},{"title":"PolicyCounterInfo","url":"r_policycounterinfo.html","description":"Type: object Properties: policyCounterId: Reference: \u0027#/components/schemas/PolicyCounterId\u0027 currentStatus: Type: string Description: Identifies the policy counter status applicable for a specific pol"},{"title":"PendingPolicyCounterStatus","url":"r_pendingpolicycounterstatus.html","description":"Type: object Properties: policyCounterStatus: Type: string Description: Identifies the policy counter status applicable for a specific policy counter identified by the policyCounterId. The values (e."},{"title":"PolicyCounterId","url":"r_policycounterid.html","description":"Type: string Description: Identifies a policy counter."},{"title":"SubscriptionTerminationInfo","url":"r_subscriptionterminationinfo.html","description":"Type: object Properties: supi: Reference: \u0027./TS29571_CommonData.yaml#/components/schemas/Supi\u0027 termCause: Reference: \u0027#/components/schemas/TerminationCause\u0027 Required: - supi"},{"title":"TerminationCause","url":"r_terminationcause.html","description":"Type: string enum: - REMOVED_SUBSCRIBER"}]}]}]},{"title":"Npcf_SMPolicyControl","url":"g_nchf-spendinglimitcontrol-callbacks.html","description":"The Policy Control Function (PCF) uses the Npcf_SMPolicyControl service to create, update, and delete requests on the SMF.","children":[{"title":"OpenAPI","url":"r_openapi.html","description":"OpenAPI Version: 3.0.0"},{"title":"info","url":"r_info_2_3_4_5.html","description":"Description: Spending Limit Control Service API Callbacks Version: \u00221.0.0\u0022 Title: Nchf_SpendingLimitControl Callbacks"},{"title":"externalDocs","url":"r_externaldocs.html","description":"Description: 3GPP TS 29.594 V15.2.0; 5G System; Spending Limit Control Service. URL: \u0027http://www.3gpp.org/ftp/Specs/archive/29_series/29.594/\u0027"},{"title":"servers","url":"r_servers_2_3_4.html","description":"URL: \u0027http://{apiRoot}/\u0027 Variables: API Root: Default: https://example.com Description: apiRoot as defined in subclause subclause 4.4 of 3GPP TS 29.501"},{"title":"security","url":"r_security_2_3_4_5_6.html","description":"- {} - oAuth2ClientCredentials: - nchf-spendinglimitcontrol"},{"title":"paths","url":"r_paths_2_3_4_5_6.html","children":[{"title":"/npcf/callbacks/nchf-spendinglimitcontrol/v1/subscriptions/{subscriptionId}/notify","url":"r_npcfcallbacksnchf-spendinglimitcontrolv1subscriptions-subscriptionid-notify.html","description":"Method: Post Parameters: - in: path name: subscriptionId Description: Identifies an individual spending limit retrieval subscription. Required/Optional: true Schema: Type: string Request Body: Requir"},{"title":"/npcf/callbacks/nchf-spendinglimitcontrol/v1/subscriptions/{subscriptionId}/terminate","url":"r_npcfcallbacksnchf-spendinglimitcontrolv1subscriptions-subscriptionid-terminate.html","description":"Method: Post Parameters: - in: path name: subscriptionId Description: Identifies an individual spending limit retrieval subscription. Required/Optional: true Schema: Type: string Request Body: Requir"}]},{"title":"components","url":"r_components_2_3.html","children":[{"title":"securitySchemes","url":"r_securityschemes.html","children":[{"title":"oAuth2ClientCredentials","url":"r_oauth2clientcredentials_2_3_4.html","description":"Type: oauth2 Flows: clientCredentials: tokenUrl: \u0027{nrfApiRoot}/oauth2/token\u0027 scopes: nchf-spendinglimitcontrol: Access to the Nchf_SpendingLimitControl API"}]}]}]}]}]